# ncurses 5.9 - patch 20121102 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20121102.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sat Nov  3 23:59:23 UTC 2012
# ------------------------------------------------------------------------------
# Ada95/include/ncurses_defs |    3 
# MANIFEST                   |    1 
# NEWS                       |   19 
# aclocal.m4                 |   33 -
# configure                  | 1123 +++++++++++++++++--------------------------
# configure.in               |    6 
# dist.mk                    |    4 
# include/nc_alloc.h         |    8 
# include/ncurses_defs       |    5 
# man/curs_add_wch.3x        |    6 
# man/curs_add_wchstr.3x     |   64 +-
# man/curs_addchstr.3x       |   50 +
# man/curs_addstr.3x         |   38 -
# man/curs_addwstr.3x        |   35 -
# man/curs_bkgrnd.3x         |    6 
# man/curs_border_set.3x     |    6 
# man/curs_get_wch.3x        |    6 
# man/curs_get_wstr.3x       |    6 
# man/curs_getcchar.3x       |    6 
# man/curs_in_wchstr.3x      |    6 
# man/curs_ins_wstr.3x       |    6 
# man/curs_inwstr.3x         |    6 
# man/curs_termcap.3x        |   13 
# man/form_field.3x          |    6 
# man/menu_items.3x          |    6 
# misc/terminfo.src          |   23 
# ncurses/curses.priv.h      |   13 
# ncurses/modules            |    5 
# ncurses/tinfo/doalloc.c    |   20 
# package/debian/changelog   |    4 
# package/ncurses.spec       |    3 
# test/cardfile.c            |   16 
# test/configure             |  703 +++++++++++++-------------
# test/configure.in          |    3 
# test/demo_menus.c          |   14 
# test/testcurs.c            |   14 
# 36 files changed, 1033 insertions(+), 1253 deletions(-)
# ------------------------------------------------------------------------------
# Please remove the following file before applying this patch.
# (You can feed this patch to 'sh' to do so.)

rm -f ncurses/base/memmove.c
exit

Index: Ada95/include/ncurses_defs
Prereq:  1.42 
--- ncurses-5.9-20121026+/Ada95/include/ncurses_defs	2012-10-27 17:33:29.000000000 +0000
+++ ncurses-5.9-20121102/Ada95/include/ncurses_defs	2012-11-03 19:29:51.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncurses_defs,v 1.42 2012/10/27 17:33:29 tom Exp $
+# $Id: ncurses_defs,v 1.43 2012/11/03 19:29:51 tom Exp $
 ##############################################################################
 # Copyright (c) 2000-2008,2012 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -119,7 +119,6 @@
 HAVE_SIZECHANGE
 HAVE_SLK_COLOR
 HAVE_SLK_INIT	1
-HAVE_STRDUP
 HAVE_STRSTR
 HAVE_SYMLINK
 HAVE_SYS_BSDTYPES_H
Index: MANIFEST
--- ncurses-5.9-20121026+/MANIFEST	2012-06-30 21:30:41.000000000 +0000
+++ ncurses-5.9-20121102/MANIFEST	2012-11-03 19:43:02.000000000 +0000
@@ -851,7 +851,6 @@
 ./ncurses/base/lib_wattron.c
 ./ncurses/base/lib_winch.c
 ./ncurses/base/lib_window.c
-./ncurses/base/memmove.c
 ./ncurses/base/nc_panel.c
 ./ncurses/base/resizeterm.c
 ./ncurses/base/safe_sprintf.c
Index: NEWS
Prereq:  1.1967 
--- ncurses-5.9-20121026+/NEWS	2012-10-27 22:04:27.000000000 +0000
+++ ncurses-5.9-20121102/NEWS	2012-11-03 23:02:35.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.1967 2012/10/27 22:04:27 tom Exp $
+-- $Id: NEWS,v 1.1971 2012/11/03 23:02:35 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,23 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20121102
+	+ realign these related pages:
+	    curs_add_wchstr.3x
+	    curs_addchstr.3x
+	    curs_addstr.3x
+	    curs_addwstr.3x
+	  and fix a long-ago error in curs_addstr.3x which said that a -1
+	  length parameter would only write as much as fit onto one line
+	  (report by Reuben Thomas).
+	+ remove obsolete fallback _nc_memmove() for memmove()/bcopy().
+	+ remove obsolete fallback _nc_strdup() for strdup().
+	+ cancel any debug-rpm in package/ncurses.spec
+	+ reviewed vte-2012, reverted most of the change since it was incorrect
+	  based on testing with tack -TD
+	+ un-cancel the initc in vte-256color, since this was implemented
+	  starting with version 0.20 in 2009 -TD
+
 20121026
 	+ improve malloc/realloc checking (prompted by discussion in Redhat
 	  #866989).
Index: aclocal.m4
Prereq:  1.639 
--- ncurses-5.9-20121026+/aclocal.m4	2012-10-27 17:13:57.000000000 +0000
+++ ncurses-5.9-20121102/aclocal.m4	2012-11-03 19:39:23.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.639 2012/10/27 17:13:57 tom Exp $
+dnl $Id: aclocal.m4,v 1.640 2012/11/03 19:39:23 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -1565,37 +1565,6 @@
 fi
 ])
 dnl ---------------------------------------------------------------------------
-dnl CF_FUNC_MEMMOVE version: 8 updated: 2012/10/04 20:12:20
-dnl ---------------
-dnl Check for memmove, or a bcopy that can handle overlapping copy.  If neither
-dnl is found, add our own version of memmove to the list of objects.
-AC_DEFUN([CF_FUNC_MEMMOVE],
-[
-AC_CHECK_FUNC(memmove,,[
-AC_CHECK_FUNC(bcopy,[
-	AC_CACHE_CHECK(if bcopy does overlapping moves,cf_cv_good_bcopy,[
-		AC_TRY_RUN([
-int main() {
-	static char data[] = "abcdefghijklmnopqrstuwwxyz";
-	char temp[40];
-	bcopy(data, temp, sizeof(data));
-	bcopy(temp+10, temp, 15);
-	bcopy(temp+5, temp+15, 10);
-	${cf_cv_main_return:-return} (strcmp(temp, "klmnopqrstuwwxypqrstuwwxyz"));
-}
-		],
-		[cf_cv_good_bcopy=yes],
-		[cf_cv_good_bcopy=no],
-		[cf_cv_good_bcopy=unknown])
-		])
-	],[cf_cv_good_bcopy=no])
-	if test "$cf_cv_good_bcopy" = yes ; then
-		AC_DEFINE(USE_OK_BCOPY,1,[Define to 1 to use bcopy when memmove is unavailable])
-	else
-		AC_DEFINE(USE_MY_MEMMOVE,1,[Define to 1 to use replacement function when memmove is unavailable])
-	fi
-])])dnl
-dnl ---------------------------------------------------------------------------
 dnl CF_FUNC_NANOSLEEP version: 4 updated: 2012/10/06 17:56:13
 dnl -----------------
 dnl Check for existence of workable nanosleep() function.  Some systems, e.g.,
Index: configure
--- ncurses-5.9-20121026+/configure	2012-10-27 17:14:47.000000000 +0000
+++ ncurses-5.9-20121102/configure	2012-11-03 19:44:50.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.558 .
+# From configure.in Revision: 1.560 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20121002.
 #
@@ -15238,7 +15238,6 @@
 setvbuf \
 sigaction \
 sigvec \
-strdup \
 strstr \
 tcgetpgrp \
 times \
@@ -15246,13 +15245,13 @@
 
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:15249: checking for $ac_func" >&5
+echo "$as_me:15248: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15255 "configure"
+#line 15254 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -15283,16 +15282,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15286: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15285: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15289: \$? = $ac_status" >&5
+  echo "$as_me:15288: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15292: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15291: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15295: \$? = $ac_status" >&5
+  echo "$as_me:15294: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -15302,7 +15301,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:15305: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:15304: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -15314,14 +15313,14 @@
 
 if test "x$with_getcap" = "xyes" ; then
 
-echo "$as_me:15317: checking for terminal-capability database functions" >&5
+echo "$as_me:15316: checking for terminal-capability database functions" >&5
 echo $ECHO_N "checking for terminal-capability database functions... $ECHO_C" >&6
 if test "${cf_cv_cgetent+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15324 "configure"
+#line 15323 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15341,16 +15340,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15344: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15343: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15347: \$? = $ac_status" >&5
+  echo "$as_me:15346: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15350: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15349: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15353: \$? = $ac_status" >&5
+  echo "$as_me:15352: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cgetent=yes
 else
@@ -15361,7 +15360,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:15364: result: $cf_cv_cgetent" >&5
+echo "$as_me:15363: result: $cf_cv_cgetent" >&5
 echo "${ECHO_T}$cf_cv_cgetent" >&6
 
 if test "$cf_cv_cgetent" = yes
@@ -15371,14 +15370,14 @@
 #define HAVE_BSD_CGETENT 1
 EOF
 
-echo "$as_me:15374: checking if cgetent uses const parameter" >&5
+echo "$as_me:15373: checking if cgetent uses const parameter" >&5
 echo $ECHO_N "checking if cgetent uses const parameter... $ECHO_C" >&6
 if test "${cf_cv_cgetent_const+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15381 "configure"
+#line 15380 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -15400,16 +15399,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15403: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15402: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15406: \$? = $ac_status" >&5
+  echo "$as_me:15405: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15409: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15408: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15412: \$? = $ac_status" >&5
+  echo "$as_me:15411: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cgetent_const=yes
 else
@@ -15420,7 +15419,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:15423: result: $cf_cv_cgetent_const" >&5
+echo "$as_me:15422: result: $cf_cv_cgetent_const" >&5
 echo "${ECHO_T}$cf_cv_cgetent_const" >&6
 	if test "$cf_cv_cgetent_const" = yes
 	then
@@ -15434,14 +15433,14 @@
 
 fi
 
-echo "$as_me:15437: checking for isascii" >&5
+echo "$as_me:15436: checking for isascii" >&5
 echo $ECHO_N "checking for isascii... $ECHO_C" >&6
 if test "${cf_cv_have_isascii+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15444 "configure"
+#line 15443 "configure"
 #include "confdefs.h"
 #include <ctype.h>
 int
@@ -15453,16 +15452,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15456: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15455: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15459: \$? = $ac_status" >&5
+  echo "$as_me:15458: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15462: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15461: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15465: \$? = $ac_status" >&5
+  echo "$as_me:15464: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_isascii=yes
 else
@@ -15473,7 +15472,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:15476: result: $cf_cv_have_isascii" >&5
+echo "$as_me:15475: result: $cf_cv_have_isascii" >&5
 echo "${ECHO_T}$cf_cv_have_isascii" >&6
 test "$cf_cv_have_isascii" = yes &&
 cat >>confdefs.h <<\EOF
@@ -15481,10 +15480,10 @@
 EOF
 
 if test "$ac_cv_func_sigaction" = yes; then
-echo "$as_me:15484: checking whether sigaction needs _POSIX_SOURCE" >&5
+echo "$as_me:15483: checking whether sigaction needs _POSIX_SOURCE" >&5
 echo $ECHO_N "checking whether sigaction needs _POSIX_SOURCE... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 15487 "configure"
+#line 15486 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -15498,16 +15497,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15501: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15500: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15504: \$? = $ac_status" >&5
+  echo "$as_me:15503: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15507: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15506: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15510: \$? = $ac_status" >&5
+  echo "$as_me:15509: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   sigact_bad=no
 else
@@ -15515,7 +15514,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15518 "configure"
+#line 15517 "configure"
 #include "confdefs.h"
 
 #define _POSIX_SOURCE
@@ -15530,16 +15529,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15533: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15532: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15536: \$? = $ac_status" >&5
+  echo "$as_me:15535: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15539: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15538: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15542: \$? = $ac_status" >&5
+  echo "$as_me:15541: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   sigact_bad=yes
 
@@ -15555,11 +15554,11 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:15558: result: $sigact_bad" >&5
+echo "$as_me:15557: result: $sigact_bad" >&5
 echo "${ECHO_T}$sigact_bad" >&6
 fi
 
-echo "$as_me:15562: checking if nanosleep really works" >&5
+echo "$as_me:15561: checking if nanosleep really works" >&5
 echo $ECHO_N "checking if nanosleep really works... $ECHO_C" >&6
 if test "${cf_cv_func_nanosleep+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15569,7 +15568,7 @@
   cf_cv_func_nanosleep=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15572 "configure"
+#line 15571 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -15594,15 +15593,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:15597: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15596: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15600: \$? = $ac_status" >&5
+  echo "$as_me:15599: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:15602: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15601: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15605: \$? = $ac_status" >&5
+  echo "$as_me:15604: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_nanosleep=yes
 else
@@ -15614,7 +15613,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:15617: result: $cf_cv_func_nanosleep" >&5
+echo "$as_me:15616: result: $cf_cv_func_nanosleep" >&5
 echo "${ECHO_T}$cf_cv_func_nanosleep" >&6
 
 test "$cf_cv_func_nanosleep" = "yes" &&
@@ -15629,23 +15628,23 @@
 
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:15632: checking for $ac_header" >&5
+echo "$as_me:15631: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15638 "configure"
+#line 15637 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:15642: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:15641: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:15648: \$? = $ac_status" >&5
+  echo "$as_me:15647: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -15664,7 +15663,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:15667: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:15666: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -15679,23 +15678,23 @@
 for ac_header in sys/termio.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:15682: checking for $ac_header" >&5
+echo "$as_me:15681: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15688 "configure"
+#line 15687 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:15692: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:15691: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:15698: \$? = $ac_status" >&5
+  echo "$as_me:15697: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -15714,7 +15713,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:15717: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:15716: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -15732,10 +15731,10 @@
 	*)	termios_bad=maybe ;;
 	esac
 	if test "$termios_bad" = maybe ; then
-	echo "$as_me:15735: checking whether termios.h needs _POSIX_SOURCE" >&5
+	echo "$as_me:15734: checking whether termios.h needs _POSIX_SOURCE" >&5
 echo $ECHO_N "checking whether termios.h needs _POSIX_SOURCE... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15738 "configure"
+#line 15737 "configure"
 #include "confdefs.h"
 #include <termios.h>
 int
@@ -15747,16 +15746,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15750: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15749: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15753: \$? = $ac_status" >&5
+  echo "$as_me:15752: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15756: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15755: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15759: \$? = $ac_status" >&5
+  echo "$as_me:15758: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   termios_bad=no
 else
@@ -15764,7 +15763,7 @@
 cat conftest.$ac_ext >&5
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 15767 "configure"
+#line 15766 "configure"
 #include "confdefs.h"
 
 #define _POSIX_SOURCE
@@ -15778,16 +15777,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15781: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15780: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15784: \$? = $ac_status" >&5
+  echo "$as_me:15783: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15787: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15786: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15790: \$? = $ac_status" >&5
+  echo "$as_me:15789: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   termios_bad=unknown
 else
@@ -15803,19 +15802,19 @@
 
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:15806: result: $termios_bad" >&5
+	echo "$as_me:15805: result: $termios_bad" >&5
 echo "${ECHO_T}$termios_bad" >&6
 	fi
 fi
 
-echo "$as_me:15811: checking for tcgetattr" >&5
+echo "$as_me:15810: checking for tcgetattr" >&5
 echo $ECHO_N "checking for tcgetattr... $ECHO_C" >&6
 if test "${cf_cv_have_tcgetattr+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15818 "configure"
+#line 15817 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -15843,16 +15842,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15846: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15845: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15849: \$? = $ac_status" >&5
+  echo "$as_me:15848: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15852: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15851: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15855: \$? = $ac_status" >&5
+  echo "$as_me:15854: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_tcgetattr=yes
 else
@@ -15862,21 +15861,21 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:15865: result: $cf_cv_have_tcgetattr" >&5
+echo "$as_me:15864: result: $cf_cv_have_tcgetattr" >&5
 echo "${ECHO_T}$cf_cv_have_tcgetattr" >&6
 test "$cf_cv_have_tcgetattr" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_TCGETATTR 1
 EOF
 
-echo "$as_me:15872: checking for vsscanf function or workaround" >&5
+echo "$as_me:15871: checking for vsscanf function or workaround" >&5
 echo $ECHO_N "checking for vsscanf function or workaround... $ECHO_C" >&6
 if test "${cf_cv_func_vsscanf+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15879 "configure"
+#line 15878 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -15892,16 +15891,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15895: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15894: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15898: \$? = $ac_status" >&5
+  echo "$as_me:15897: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15901: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15900: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15904: \$? = $ac_status" >&5
+  echo "$as_me:15903: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=vsscanf
 else
@@ -15909,7 +15908,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15912 "configure"
+#line 15911 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -15931,16 +15930,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15934: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15933: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15937: \$? = $ac_status" >&5
+  echo "$as_me:15936: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15940: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15939: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15943: \$? = $ac_status" >&5
+  echo "$as_me:15942: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=vfscanf
 else
@@ -15948,7 +15947,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15951 "configure"
+#line 15950 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -15970,16 +15969,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15973: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15972: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15976: \$? = $ac_status" >&5
+  echo "$as_me:15975: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15979: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15978: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15982: \$? = $ac_status" >&5
+  echo "$as_me:15981: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_vsscanf=_doscan
 else
@@ -15994,7 +15993,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:15997: result: $cf_cv_func_vsscanf" >&5
+echo "$as_me:15996: result: $cf_cv_func_vsscanf" >&5
 echo "${ECHO_T}$cf_cv_func_vsscanf" >&6
 
 case $cf_cv_func_vsscanf in #(vi
@@ -16015,7 +16014,7 @@
 ;;
 esac
 
-echo "$as_me:16018: checking for working mkstemp" >&5
+echo "$as_me:16017: checking for working mkstemp" >&5
 echo $ECHO_N "checking for working mkstemp... $ECHO_C" >&6
 if test "${cf_cv_func_mkstemp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16026,7 +16025,7 @@
   cf_cv_func_mkstemp=maybe
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16029 "configure"
+#line 16028 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -16064,15 +16063,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16067: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16066: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16070: \$? = $ac_status" >&5
+  echo "$as_me:16069: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16072: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16071: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16075: \$? = $ac_status" >&5
+  echo "$as_me:16074: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_mkstemp=yes
 
@@ -16087,16 +16086,16 @@
 fi
 
 fi
-echo "$as_me:16090: result: $cf_cv_func_mkstemp" >&5
+echo "$as_me:16089: result: $cf_cv_func_mkstemp" >&5
 echo "${ECHO_T}$cf_cv_func_mkstemp" >&6
 if test "x$cf_cv_func_mkstemp" = xmaybe ; then
-	echo "$as_me:16093: checking for mkstemp" >&5
+	echo "$as_me:16092: checking for mkstemp" >&5
 echo $ECHO_N "checking for mkstemp... $ECHO_C" >&6
 if test "${ac_cv_func_mkstemp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16099 "configure"
+#line 16098 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char mkstemp (); below.  */
@@ -16127,16 +16126,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16130: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16129: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16133: \$? = $ac_status" >&5
+  echo "$as_me:16132: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16136: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16135: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16139: \$? = $ac_status" >&5
+  echo "$as_me:16138: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_mkstemp=yes
 else
@@ -16146,7 +16145,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16149: result: $ac_cv_func_mkstemp" >&5
+echo "$as_me:16148: result: $ac_cv_func_mkstemp" >&5
 echo "${ECHO_T}$ac_cv_func_mkstemp" >&6
 
 fi
@@ -16167,21 +16166,21 @@
 fi
 
 if test "x$cross_compiling" = xyes ; then
-	{ echo "$as_me:16170: WARNING: cross compiling: assume setvbuf params not reversed" >&5
+	{ echo "$as_me:16169: WARNING: cross compiling: assume setvbuf params not reversed" >&5
 echo "$as_me: WARNING: cross compiling: assume setvbuf params not reversed" >&2;}
 else
-	echo "$as_me:16173: checking whether setvbuf arguments are reversed" >&5
+	echo "$as_me:16172: checking whether setvbuf arguments are reversed" >&5
 echo $ECHO_N "checking whether setvbuf arguments are reversed... $ECHO_C" >&6
 if test "${ac_cv_func_setvbuf_reversed+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:16179: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:16178: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16184 "configure"
+#line 16183 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 /* If setvbuf has the reversed format, exit 0. */
@@ -16198,15 +16197,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16201: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16200: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16204: \$? = $ac_status" >&5
+  echo "$as_me:16203: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16206: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16205: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16209: \$? = $ac_status" >&5
+  echo "$as_me:16208: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_setvbuf_reversed=yes
 else
@@ -16219,7 +16218,7 @@
 fi
 rm -f core core.* *.core
 fi
-echo "$as_me:16222: result: $ac_cv_func_setvbuf_reversed" >&5
+echo "$as_me:16221: result: $ac_cv_func_setvbuf_reversed" >&5
 echo "${ECHO_T}$ac_cv_func_setvbuf_reversed" >&6
 if test $ac_cv_func_setvbuf_reversed = yes; then
 
@@ -16230,13 +16229,13 @@
 fi
 
 fi
-echo "$as_me:16233: checking return type of signal handlers" >&5
+echo "$as_me:16232: checking return type of signal handlers" >&5
 echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6
 if test "${ac_cv_type_signal+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16239 "configure"
+#line 16238 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <signal.h>
@@ -16258,16 +16257,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16261: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16260: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16264: \$? = $ac_status" >&5
+  echo "$as_me:16263: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16267: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16266: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16270: \$? = $ac_status" >&5
+  echo "$as_me:16269: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_signal=void
 else
@@ -16277,20 +16276,20 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:16280: result: $ac_cv_type_signal" >&5
+echo "$as_me:16279: result: $ac_cv_type_signal" >&5
 echo "${ECHO_T}$ac_cv_type_signal" >&6
 
 cat >>confdefs.h <<EOF
 #define RETSIGTYPE $ac_cv_type_signal
 EOF
 
-echo "$as_me:16287: checking for intptr_t" >&5
+echo "$as_me:16286: checking for intptr_t" >&5
 echo $ECHO_N "checking for intptr_t... $ECHO_C" >&6
 if test "${ac_cv_type_intptr_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16293 "configure"
+#line 16292 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -16305,16 +16304,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16308: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16307: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16311: \$? = $ac_status" >&5
+  echo "$as_me:16310: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16314: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16313: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16317: \$? = $ac_status" >&5
+  echo "$as_me:16316: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_intptr_t=yes
 else
@@ -16324,7 +16323,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:16327: result: $ac_cv_type_intptr_t" >&5
+echo "$as_me:16326: result: $ac_cv_type_intptr_t" >&5
 echo "${ECHO_T}$ac_cv_type_intptr_t" >&6
 if test $ac_cv_type_intptr_t = yes; then
   :
@@ -16336,14 +16335,14 @@
 
 fi
 
-echo "$as_me:16339: checking for type sigaction_t" >&5
+echo "$as_me:16338: checking for type sigaction_t" >&5
 echo $ECHO_N "checking for type sigaction_t... $ECHO_C" >&6
 if test "${cf_cv_type_sigaction+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 16346 "configure"
+#line 16345 "configure"
 #include "confdefs.h"
 
 #include <signal.h>
@@ -16356,16 +16355,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16359: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16358: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16362: \$? = $ac_status" >&5
+  echo "$as_me:16361: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16365: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16364: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16368: \$? = $ac_status" >&5
+  echo "$as_me:16367: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_sigaction=yes
 else
@@ -16376,14 +16375,14 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-echo "$as_me:16379: result: $cf_cv_type_sigaction" >&5
+echo "$as_me:16378: result: $cf_cv_type_sigaction" >&5
 echo "${ECHO_T}$cf_cv_type_sigaction" >&6
 test "$cf_cv_type_sigaction" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_TYPE_SIGACTION 1
 EOF
 
-echo "$as_me:16386: checking declaration of size-change" >&5
+echo "$as_me:16385: checking declaration of size-change" >&5
 echo $ECHO_N "checking declaration of size-change... $ECHO_C" >&6
 if test "${cf_cv_sizechange+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16398,7 +16397,7 @@
     CPPFLAGS="$cf_save_CPPFLAGS"
     test -n "$cf_opts" && CPPFLAGS="$CPPFLAGS -D$cf_opts"
     cat >conftest.$ac_ext <<_ACEOF
-#line 16401 "configure"
+#line 16400 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #ifdef HAVE_TERMIOS_H
@@ -16442,16 +16441,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16445: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16444: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16448: \$? = $ac_status" >&5
+  echo "$as_me:16447: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16451: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16450: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16454: \$? = $ac_status" >&5
+  echo "$as_me:16453: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sizechange=yes
 else
@@ -16470,7 +16469,7 @@
 done
 
 fi
-echo "$as_me:16473: result: $cf_cv_sizechange" >&5
+echo "$as_me:16472: result: $cf_cv_sizechange" >&5
 echo "${ECHO_T}$cf_cv_sizechange" >&6
 if test "$cf_cv_sizechange" != no ; then
 
@@ -16488,197 +16487,7 @@
 	esac
 fi
 
-echo "$as_me:16491: checking for memmove" >&5
-echo $ECHO_N "checking for memmove... $ECHO_C" >&6
-if test "${ac_cv_func_memmove+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-#line 16497 "configure"
-#include "confdefs.h"
-/* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char memmove (); below.  */
-#include <assert.h>
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char memmove ();
-char (*f) ();
-
-int
-main ()
-{
-/* The GNU C library defines this for functions which it implements
-    to always fail with ENOSYS.  Some functions are actually named
-    something starting with __ and the normal name is an alias.  */
-#if defined (__stub_memmove) || defined (__stub___memmove)
-choke me
-#else
-f = memmove; /* workaround for ICC 12.0.3 */ if (f == 0) return 1;
-#endif
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16528: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:16531: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16534: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:16537: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_func_memmove=yes
-else
-  echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_func_memmove=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-fi
-echo "$as_me:16547: result: $ac_cv_func_memmove" >&5
-echo "${ECHO_T}$ac_cv_func_memmove" >&6
-if test $ac_cv_func_memmove = yes; then
-  :
-else
-
-echo "$as_me:16553: checking for bcopy" >&5
-echo $ECHO_N "checking for bcopy... $ECHO_C" >&6
-if test "${ac_cv_func_bcopy+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-#line 16559 "configure"
-#include "confdefs.h"
-/* System header to define __stub macros and hopefully few prototypes,
-    which can conflict with char bcopy (); below.  */
-#include <assert.h>
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char bcopy ();
-char (*f) ();
-
-int
-main ()
-{
-/* The GNU C library defines this for functions which it implements
-    to always fail with ENOSYS.  Some functions are actually named
-    something starting with __ and the normal name is an alias.  */
-#if defined (__stub_bcopy) || defined (__stub___bcopy)
-choke me
-#else
-f = bcopy; /* workaround for ICC 12.0.3 */ if (f == 0) return 1;
-#endif
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16590: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:16593: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16596: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:16599: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_func_bcopy=yes
-else
-  echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-ac_cv_func_bcopy=no
-fi
-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-fi
-echo "$as_me:16609: result: $ac_cv_func_bcopy" >&5
-echo "${ECHO_T}$ac_cv_func_bcopy" >&6
-if test $ac_cv_func_bcopy = yes; then
-
-	echo "$as_me:16613: checking if bcopy does overlapping moves" >&5
-echo $ECHO_N "checking if bcopy does overlapping moves... $ECHO_C" >&6
-if test "${cf_cv_good_bcopy+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-
-		if test "$cross_compiling" = yes; then
-  cf_cv_good_bcopy=unknown
-else
-  cat >conftest.$ac_ext <<_ACEOF
-#line 16623 "configure"
-#include "confdefs.h"
-
-int main() {
-	static char data[] = "abcdefghijklmnopqrstuwwxyz";
-	char temp[40];
-	bcopy(data, temp, sizeof(data));
-	bcopy(temp+10, temp, 15);
-	bcopy(temp+5, temp+15, 10);
-	${cf_cv_main_return:-return} (strcmp(temp, "klmnopqrstuwwxypqrstuwwxyz"));
-}
-
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16637: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:16640: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16642: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:16645: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  cf_cv_good_bcopy=yes
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-cf_cv_good_bcopy=no
-fi
-rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-
-fi
-echo "$as_me:16658: result: $cf_cv_good_bcopy" >&5
-echo "${ECHO_T}$cf_cv_good_bcopy" >&6
-
-else
-  cf_cv_good_bcopy=no
-fi
-
-	if test "$cf_cv_good_bcopy" = yes ; then
-
-cat >>confdefs.h <<\EOF
-#define USE_OK_BCOPY 1
-EOF
-
-	else
-
-cat >>confdefs.h <<\EOF
-#define USE_MY_MEMMOVE 1
-EOF
-
-	fi
-
-fi
-
-echo "$as_me:16681: checking if poll really works" >&5
+echo "$as_me:16490: checking if poll really works" >&5
 echo $ECHO_N "checking if poll really works... $ECHO_C" >&6
 if test "${cf_cv_working_poll+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -16688,7 +16497,7 @@
   cf_cv_working_poll=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16691 "configure"
+#line 16500 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -16735,15 +16544,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:16738: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16547: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16741: \$? = $ac_status" >&5
+  echo "$as_me:16550: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:16743: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16552: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16746: \$? = $ac_status" >&5
+  echo "$as_me:16555: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_working_poll=yes
 else
@@ -16755,21 +16564,21 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:16758: result: $cf_cv_working_poll" >&5
+echo "$as_me:16567: result: $cf_cv_working_poll" >&5
 echo "${ECHO_T}$cf_cv_working_poll" >&6
 test "$cf_cv_working_poll" = "yes" &&
 cat >>confdefs.h <<\EOF
 #define HAVE_WORKING_POLL 1
 EOF
 
-echo "$as_me:16765: checking for va_copy" >&5
+echo "$as_me:16574: checking for va_copy" >&5
 echo $ECHO_N "checking for va_copy... $ECHO_C" >&6
 if test "${cf_cv_have_va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16772 "configure"
+#line 16581 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -16786,16 +16595,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16789: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16598: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16792: \$? = $ac_status" >&5
+  echo "$as_me:16601: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16795: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16604: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16798: \$? = $ac_status" >&5
+  echo "$as_me:16607: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_va_copy=yes
 else
@@ -16805,7 +16614,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16808: result: $cf_cv_have_va_copy" >&5
+echo "$as_me:16617: result: $cf_cv_have_va_copy" >&5
 echo "${ECHO_T}$cf_cv_have_va_copy" >&6
 
 test "$cf_cv_have_va_copy" = yes &&
@@ -16813,14 +16622,14 @@
 #define HAVE_VA_COPY 1
 EOF
 
-echo "$as_me:16816: checking for __va_copy" >&5
+echo "$as_me:16625: checking for __va_copy" >&5
 echo $ECHO_N "checking for __va_copy... $ECHO_C" >&6
 if test "${cf_cv_have___va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 16823 "configure"
+#line 16632 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -16837,16 +16646,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:16840: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16649: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:16843: \$? = $ac_status" >&5
+  echo "$as_me:16652: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:16846: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16655: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16849: \$? = $ac_status" >&5
+  echo "$as_me:16658: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have___va_copy=yes
 else
@@ -16856,7 +16665,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:16859: result: $cf_cv_have___va_copy" >&5
+echo "$as_me:16668: result: $cf_cv_have___va_copy" >&5
 echo "${ECHO_T}$cf_cv_have___va_copy" >&6
 
 test "$cf_cv_have___va_copy" = yes &&
@@ -16864,13 +16673,13 @@
 #define HAVE___VA_COPY 1
 EOF
 
-echo "$as_me:16867: checking for pid_t" >&5
+echo "$as_me:16676: checking for pid_t" >&5
 echo $ECHO_N "checking for pid_t... $ECHO_C" >&6
 if test "${ac_cv_type_pid_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16873 "configure"
+#line 16682 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -16885,16 +16694,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:16888: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:16697: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:16891: \$? = $ac_status" >&5
+  echo "$as_me:16700: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:16894: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16703: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:16897: \$? = $ac_status" >&5
+  echo "$as_me:16706: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_pid_t=yes
 else
@@ -16904,7 +16713,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:16907: result: $ac_cv_type_pid_t" >&5
+echo "$as_me:16716: result: $ac_cv_type_pid_t" >&5
 echo "${ECHO_T}$ac_cv_type_pid_t" >&6
 if test $ac_cv_type_pid_t = yes; then
   :
@@ -16919,23 +16728,23 @@
 for ac_header in unistd.h vfork.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:16922: checking for $ac_header" >&5
+echo "$as_me:16731: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16928 "configure"
+#line 16737 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:16932: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:16741: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:16938: \$? = $ac_status" >&5
+  echo "$as_me:16747: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -16954,7 +16763,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:16957: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:16766: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -16967,13 +16776,13 @@
 for ac_func in fork vfork
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:16970: checking for $ac_func" >&5
+echo "$as_me:16779: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 16976 "configure"
+#line 16785 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -17004,16 +16813,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17007: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16816: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17010: \$? = $ac_status" >&5
+  echo "$as_me:16819: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17013: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16822: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17016: \$? = $ac_status" >&5
+  echo "$as_me:16825: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -17023,7 +16832,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17026: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:16835: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17035,7 +16844,7 @@
 
 ac_cv_func_fork_works=$ac_cv_func_fork
 if test "x$ac_cv_func_fork" = xyes; then
-  echo "$as_me:17038: checking for working fork" >&5
+  echo "$as_me:16847: checking for working fork" >&5
 echo $ECHO_N "checking for working fork... $ECHO_C" >&6
 if test "${ac_cv_func_fork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17058,15 +16867,15 @@
       }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17061: \"$ac_link\"") >&5
+if { (eval echo "$as_me:16870: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17064: \$? = $ac_status" >&5
+  echo "$as_me:16873: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17066: \"$ac_try\"") >&5
+  { (eval echo "$as_me:16875: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17069: \$? = $ac_status" >&5
+  echo "$as_me:16878: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_fork_works=yes
 else
@@ -17078,7 +16887,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17081: result: $ac_cv_func_fork_works" >&5
+echo "$as_me:16890: result: $ac_cv_func_fork_works" >&5
 echo "${ECHO_T}$ac_cv_func_fork_works" >&6
 
 fi
@@ -17092,12 +16901,12 @@
       ac_cv_func_fork_works=yes
       ;;
   esac
-  { echo "$as_me:17095: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:16904: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&2;}
 fi
 ac_cv_func_vfork_works=$ac_cv_func_vfork
 if test "x$ac_cv_func_vfork" = xyes; then
-  echo "$as_me:17100: checking for working vfork" >&5
+  echo "$as_me:16909: checking for working vfork" >&5
 echo $ECHO_N "checking for working vfork... $ECHO_C" >&6
 if test "${ac_cv_func_vfork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17106,7 +16915,7 @@
   ac_cv_func_vfork_works=cross
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17109 "configure"
+#line 16918 "configure"
 #include "confdefs.h"
 /* Thanks to Paul Eggert for this test.  */
 #include <stdio.h>
@@ -17203,15 +17012,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17206: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17015: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17209: \$? = $ac_status" >&5
+  echo "$as_me:17018: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17211: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17020: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17214: \$? = $ac_status" >&5
+  echo "$as_me:17023: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_vfork_works=yes
 else
@@ -17223,13 +17032,13 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17226: result: $ac_cv_func_vfork_works" >&5
+echo "$as_me:17035: result: $ac_cv_func_vfork_works" >&5
 echo "${ECHO_T}$ac_cv_func_vfork_works" >&6
 
 fi;
 if test "x$ac_cv_func_fork_works" = xcross; then
   ac_cv_func_vfork_works=ac_cv_func_vfork
-  { echo "$as_me:17232: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:17041: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&2;}
 fi
 
@@ -17256,7 +17065,7 @@
 
 # special check for test/ditto.c
 
-echo "$as_me:17259: checking for openpty in -lutil" >&5
+echo "$as_me:17068: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17264,7 +17073,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 17267 "configure"
+#line 17076 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -17283,16 +17092,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17286: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17095: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17289: \$? = $ac_status" >&5
+  echo "$as_me:17098: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17292: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17101: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17295: \$? = $ac_status" >&5
+  echo "$as_me:17104: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -17303,7 +17112,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:17306: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:17115: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cf_cv_lib_util=yes
@@ -17311,7 +17120,7 @@
   cf_cv_lib_util=no
 fi
 
-echo "$as_me:17314: checking for openpty header" >&5
+echo "$as_me:17123: checking for openpty header" >&5
 echo $ECHO_N "checking for openpty header... $ECHO_C" >&6
 if test "${cf_cv_func_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17322,7 +17131,7 @@
     for cf_header in pty.h libutil.h util.h
     do
     cat >conftest.$ac_ext <<_ACEOF
-#line 17325 "configure"
+#line 17134 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -17339,16 +17148,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17342: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17151: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17345: \$? = $ac_status" >&5
+  echo "$as_me:17154: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17348: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17157: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17351: \$? = $ac_status" >&5
+  echo "$as_me:17160: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
         cf_cv_func_openpty=$cf_header
@@ -17366,7 +17175,7 @@
     LIBS="$cf_save_LIBS"
 
 fi
-echo "$as_me:17369: result: $cf_cv_func_openpty" >&5
+echo "$as_me:17178: result: $cf_cv_func_openpty" >&5
 echo "${ECHO_T}$cf_cv_func_openpty" >&6
 
 if test "$cf_cv_func_openpty" != no ; then
@@ -17420,7 +17229,7 @@
 			  cf_save_CPPFLAGS=$CPPFLAGS
 			  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 17423 "configure"
+#line 17232 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -17432,16 +17241,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17435: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17244: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17438: \$? = $ac_status" >&5
+  echo "$as_me:17247: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17441: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17250: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17444: \$? = $ac_status" >&5
+  echo "$as_me:17253: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -17458,7 +17267,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:17461: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:17270: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -17492,7 +17301,7 @@
       if test "$cf_have_libdir" = no ; then
         test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:17495: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:17304: testing adding $cf_add_libdir to library-path ..." 1>&5
 
         LDFLAGS="-L$cf_add_libdir $LDFLAGS"
       fi
@@ -17503,23 +17312,23 @@
     fi
 esac
 
-echo "$as_me:17506: checking for db.h" >&5
+echo "$as_me:17315: checking for db.h" >&5
 echo $ECHO_N "checking for db.h... $ECHO_C" >&6
 if test "${ac_cv_header_db_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17512 "configure"
+#line 17321 "configure"
 #include "confdefs.h"
 #include <db.h>
 _ACEOF
-if { (eval echo "$as_me:17516: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:17325: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:17522: \$? = $ac_status" >&5
+  echo "$as_me:17331: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -17538,11 +17347,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:17541: result: $ac_cv_header_db_h" >&5
+echo "$as_me:17350: result: $ac_cv_header_db_h" >&5
 echo "${ECHO_T}$ac_cv_header_db_h" >&6
 if test $ac_cv_header_db_h = yes; then
 
-echo "$as_me:17545: checking for version of db" >&5
+echo "$as_me:17354: checking for version of db" >&5
 echo $ECHO_N "checking for version of db... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17553,10 +17362,10 @@
 for cf_db_version in 1 2 3 4 5
 do
 
-echo "${as_me:-configure}:17556: testing checking for db version $cf_db_version ..." 1>&5
+echo "${as_me:-configure}:17365: testing checking for db version $cf_db_version ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17559 "configure"
+#line 17368 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -17586,16 +17395,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17589: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17398: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17592: \$? = $ac_status" >&5
+  echo "$as_me:17401: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17595: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17404: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17598: \$? = $ac_status" >&5
+  echo "$as_me:17407: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	cf_cv_hashed_db_version=$cf_db_version
@@ -17609,16 +17418,16 @@
 done
 
 fi
-echo "$as_me:17612: result: $cf_cv_hashed_db_version" >&5
+echo "$as_me:17421: result: $cf_cv_hashed_db_version" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_version" >&6
 
 if test "$cf_cv_hashed_db_version" = unknown ; then
-	{ { echo "$as_me:17616: error: Cannot determine version of db" >&5
+	{ { echo "$as_me:17425: error: Cannot determine version of db" >&5
 echo "$as_me: error: Cannot determine version of db" >&2;}
    { (exit 1); exit 1; }; }
 else
 
-echo "$as_me:17621: checking for db libraries" >&5
+echo "$as_me:17430: checking for db libraries" >&5
 echo $ECHO_N "checking for db libraries... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_libs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17632,10 +17441,10 @@
 		LIBS="-l$cf_db_libs $LIBS"
 	fi
 
-echo "${as_me:-configure}:17635: testing checking for library "$cf_db_libs" ..." 1>&5
+echo "${as_me:-configure}:17444: testing checking for library "$cf_db_libs" ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17638 "configure"
+#line 17447 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -17690,16 +17499,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17693: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17502: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17696: \$? = $ac_status" >&5
+  echo "$as_me:17505: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17699: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17508: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17702: \$? = $ac_status" >&5
+  echo "$as_me:17511: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	if test -n "$cf_db_libs" ; then
@@ -17719,11 +17528,11 @@
 done
 
 fi
-echo "$as_me:17722: result: $cf_cv_hashed_db_libs" >&5
+echo "$as_me:17531: result: $cf_cv_hashed_db_libs" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_libs" >&6
 
 	if test "$cf_cv_hashed_db_libs" = unknown ; then
-		{ { echo "$as_me:17726: error: Cannot determine library for db" >&5
+		{ { echo "$as_me:17535: error: Cannot determine library for db" >&5
 echo "$as_me: error: Cannot determine library for db" >&2;}
    { (exit 1); exit 1; }; }
 	elif test "$cf_cv_hashed_db_libs" != default ; then
@@ -17733,7 +17542,7 @@
 
 else
 
-	{ { echo "$as_me:17736: error: Cannot find db.h" >&5
+	{ { echo "$as_me:17545: error: Cannot find db.h" >&5
 echo "$as_me: error: Cannot find db.h" >&2;}
    { (exit 1); exit 1; }; }
 
@@ -17748,7 +17557,7 @@
 
 # Just in case, check if the C compiler has a bool type.
 
-echo "$as_me:17751: checking if we should include stdbool.h" >&5
+echo "$as_me:17560: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -17756,7 +17565,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17759 "configure"
+#line 17568 "configure"
 #include "confdefs.h"
 
 int
@@ -17768,23 +17577,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17771: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17580: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17774: \$? = $ac_status" >&5
+  echo "$as_me:17583: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17777: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17586: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17780: \$? = $ac_status" >&5
+  echo "$as_me:17589: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 17787 "configure"
+#line 17596 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -17800,16 +17609,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17803: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17612: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17806: \$? = $ac_status" >&5
+  echo "$as_me:17615: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17809: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17618: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17812: \$? = $ac_status" >&5
+  echo "$as_me:17621: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -17823,13 +17632,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:17826: result: yes" >&5
+then	echo "$as_me:17635: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:17828: result: no" >&5
+else	echo "$as_me:17637: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:17832: checking for builtin bool type" >&5
+echo "$as_me:17641: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_cc_bool_type+set}" = set; then
@@ -17837,7 +17646,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17840 "configure"
+#line 17649 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -17852,16 +17661,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17855: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17664: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17858: \$? = $ac_status" >&5
+  echo "$as_me:17667: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17861: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17670: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17864: \$? = $ac_status" >&5
+  echo "$as_me:17673: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cc_bool_type=1
 else
@@ -17874,9 +17683,9 @@
 fi
 
 if test "$cf_cv_cc_bool_type" = 1
-then	echo "$as_me:17877: result: yes" >&5
+then	echo "$as_me:17686: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:17879: result: no" >&5
+else	echo "$as_me:17688: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -17898,7 +17707,7 @@
 	cf_stdcpp_libname=stdc++
 	;;
 esac
-echo "$as_me:17901: checking for library $cf_stdcpp_libname" >&5
+echo "$as_me:17710: checking for library $cf_stdcpp_libname" >&5
 echo $ECHO_N "checking for library $cf_stdcpp_libname... $ECHO_C" >&6
 if test "${cf_cv_libstdcpp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17907,7 +17716,7 @@
 	cf_save="$LIBS"
 	LIBS="-l$cf_stdcpp_libname $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 17910 "configure"
+#line 17719 "configure"
 #include "confdefs.h"
 
 #include <strstream.h>
@@ -17923,16 +17732,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17926: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17735: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17929: \$? = $ac_status" >&5
+  echo "$as_me:17738: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17932: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17741: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17935: \$? = $ac_status" >&5
+  echo "$as_me:17744: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_libstdcpp=yes
 else
@@ -17944,12 +17753,12 @@
 	LIBS="$cf_save"
 
 fi
-echo "$as_me:17947: result: $cf_cv_libstdcpp" >&5
+echo "$as_me:17756: result: $cf_cv_libstdcpp" >&5
 echo "${ECHO_T}$cf_cv_libstdcpp" >&6
 test "$cf_cv_libstdcpp" = yes && CXXLIBS="-l$cf_stdcpp_libname $CXXLIBS"
 fi
 
-	echo "$as_me:17952: checking whether $CXX understands -c and -o together" >&5
+	echo "$as_me:17761: checking whether $CXX understands -c and -o together" >&5
 echo $ECHO_N "checking whether $CXX understands -c and -o together... $ECHO_C" >&6
 if test "${cf_cv_prog_CXX_c_o+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17965,15 +17774,15 @@
 # We do the test twice because some compilers refuse to overwrite an
 # existing .o file with -o, though they will create one.
 ac_try='$CXX -c conftest.$ac_ext -o conftest2.$ac_objext >&5'
-if { (eval echo "$as_me:17968: \"$ac_try\"") >&5
+if { (eval echo "$as_me:17777: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17971: \$? = $ac_status" >&5
+  echo "$as_me:17780: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-  test -f conftest2.$ac_objext && { (eval echo "$as_me:17973: \"$ac_try\"") >&5
+  test -f conftest2.$ac_objext && { (eval echo "$as_me:17782: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17976: \$? = $ac_status" >&5
+  echo "$as_me:17785: \$? = $ac_status" >&5
   (exit $ac_status); };
 then
   eval cf_cv_prog_CXX_c_o=yes
@@ -17984,10 +17793,10 @@
 
 fi
 if test $cf_cv_prog_CXX_c_o = yes; then
-  echo "$as_me:17987: result: yes" >&5
+  echo "$as_me:17796: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:17990: result: no" >&5
+  echo "$as_me:17799: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -18007,12 +17816,12 @@
 	;;
 esac
 if test "$GXX" = yes; then
-	echo "$as_me:18010: checking for lib$cf_gpp_libname" >&5
+	echo "$as_me:17819: checking for lib$cf_gpp_libname" >&5
 echo $ECHO_N "checking for lib$cf_gpp_libname... $ECHO_C" >&6
 	cf_save="$LIBS"
 	LIBS="-l$cf_gpp_libname $LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18015 "configure"
+#line 17824 "configure"
 #include "confdefs.h"
 
 #include <$cf_gpp_libname/builtin.h>
@@ -18026,16 +17835,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18029: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17838: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18032: \$? = $ac_status" >&5
+  echo "$as_me:17841: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18035: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17844: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18038: \$? = $ac_status" >&5
+  echo "$as_me:17847: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 	 CXXLIBS="-l$cf_gpp_libname $CXXLIBS"
@@ -18056,7 +17865,7 @@
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 18059 "configure"
+#line 17868 "configure"
 #include "confdefs.h"
 
 #include <builtin.h>
@@ -18070,16 +17879,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18073: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17882: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18076: \$? = $ac_status" >&5
+  echo "$as_me:17885: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18079: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17888: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18082: \$? = $ac_status" >&5
+  echo "$as_me:17891: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 	 CXXLIBS="-l$cf_gpp_libname $CXXLIBS"
@@ -18097,7 +17906,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save"
-	echo "$as_me:18100: result: $cf_cxx_library" >&5
+	echo "$as_me:17909: result: $cf_cxx_library" >&5
 echo "${ECHO_T}$cf_cxx_library" >&6
 fi
 
@@ -18113,7 +17922,7 @@
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return=return
-echo "$as_me:18116: checking how to run the C++ preprocessor" >&5
+echo "$as_me:17925: checking how to run the C++ preprocessor" >&5
 echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
 if test -z "$CXXCPP"; then
   if test "${ac_cv_prog_CXXCPP+set}" = set; then
@@ -18130,18 +17939,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 18133 "configure"
+#line 17942 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:18138: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:17947: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18144: \$? = $ac_status" >&5
+  echo "$as_me:17953: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -18164,17 +17973,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 18167 "configure"
+#line 17976 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:18171: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:17980: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18177: \$? = $ac_status" >&5
+  echo "$as_me:17986: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -18211,7 +18020,7 @@
 else
   ac_cv_prog_CXXCPP=$CXXCPP
 fi
-echo "$as_me:18214: result: $CXXCPP" >&5
+echo "$as_me:18023: result: $CXXCPP" >&5
 echo "${ECHO_T}$CXXCPP" >&6
 ac_preproc_ok=false
 for ac_cxx_preproc_warn_flag in '' yes
@@ -18221,18 +18030,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 18224 "configure"
+#line 18033 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:18229: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18038: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18235: \$? = $ac_status" >&5
+  echo "$as_me:18044: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -18255,17 +18064,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 18258 "configure"
+#line 18067 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:18262: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18071: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18268: \$? = $ac_status" >&5
+  echo "$as_me:18077: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -18293,7 +18102,7 @@
 if $ac_preproc_ok; then
   :
 else
-  { { echo "$as_me:18296: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
+  { { echo "$as_me:18105: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
 echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -18308,23 +18117,23 @@
 for ac_header in typeinfo
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:18311: checking for $ac_header" >&5
+echo "$as_me:18120: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18317 "configure"
+#line 18126 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:18321: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18130: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18327: \$? = $ac_status" >&5
+  echo "$as_me:18136: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -18343,7 +18152,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:18346: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:18155: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -18356,23 +18165,23 @@
 for ac_header in iostream
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:18359: checking for $ac_header" >&5
+echo "$as_me:18168: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18365 "configure"
+#line 18174 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:18369: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18178: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18375: \$? = $ac_status" >&5
+  echo "$as_me:18184: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -18391,7 +18200,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:18394: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:18203: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -18402,10 +18211,10 @@
 done
 
 if test x"$ac_cv_header_iostream" = xyes ; then
-	echo "$as_me:18405: checking if iostream uses std-namespace" >&5
+	echo "$as_me:18214: checking if iostream uses std-namespace" >&5
 echo $ECHO_N "checking if iostream uses std-namespace... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18408 "configure"
+#line 18217 "configure"
 #include "confdefs.h"
 
 #include <iostream>
@@ -18422,16 +18231,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18425: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18234: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18428: \$? = $ac_status" >&5
+  echo "$as_me:18237: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18431: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18240: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18434: \$? = $ac_status" >&5
+  echo "$as_me:18243: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_iostream_namespace=yes
 else
@@ -18440,7 +18249,7 @@
 cf_iostream_namespace=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:18443: result: $cf_iostream_namespace" >&5
+	echo "$as_me:18252: result: $cf_iostream_namespace" >&5
 echo "${ECHO_T}$cf_iostream_namespace" >&6
 	if test "$cf_iostream_namespace" = yes ; then
 
@@ -18451,7 +18260,7 @@
 	fi
 fi
 
-echo "$as_me:18454: checking if we should include stdbool.h" >&5
+echo "$as_me:18263: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -18459,7 +18268,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18462 "configure"
+#line 18271 "configure"
 #include "confdefs.h"
 
 int
@@ -18471,23 +18280,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18474: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18283: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18477: \$? = $ac_status" >&5
+  echo "$as_me:18286: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18480: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18289: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18483: \$? = $ac_status" >&5
+  echo "$as_me:18292: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 18490 "configure"
+#line 18299 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -18503,16 +18312,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18506: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18315: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18509: \$? = $ac_status" >&5
+  echo "$as_me:18318: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18512: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18321: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18515: \$? = $ac_status" >&5
+  echo "$as_me:18324: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -18526,13 +18335,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:18529: result: yes" >&5
+then	echo "$as_me:18338: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:18531: result: no" >&5
+else	echo "$as_me:18340: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:18535: checking for builtin bool type" >&5
+echo "$as_me:18344: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_builtin_bool+set}" = set; then
@@ -18540,7 +18349,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18543 "configure"
+#line 18352 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -18555,16 +18364,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18558: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18367: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18561: \$? = $ac_status" >&5
+  echo "$as_me:18370: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18564: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18373: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18567: \$? = $ac_status" >&5
+  echo "$as_me:18376: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_builtin_bool=1
 else
@@ -18577,13 +18386,13 @@
 fi
 
 if test "$cf_cv_builtin_bool" = 1
-then	echo "$as_me:18580: result: yes" >&5
+then	echo "$as_me:18389: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:18582: result: no" >&5
+else	echo "$as_me:18391: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:18586: checking for size of bool" >&5
+echo "$as_me:18395: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18594,7 +18403,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18597 "configure"
+#line 18406 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -18636,15 +18445,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:18639: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18448: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18642: \$? = $ac_status" >&5
+  echo "$as_me:18451: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:18644: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18453: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18647: \$? = $ac_status" >&5
+  echo "$as_me:18456: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -18662,18 +18471,18 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:18665: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:18474: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in #(vi
 	.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:18671: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:18480: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
-echo "$as_me:18676: checking for special defines needed for etip.h" >&5
+echo "$as_me:18485: checking for special defines needed for etip.h" >&5
 echo $ECHO_N "checking for special defines needed for etip.h... $ECHO_C" >&6
 cf_save_CXXFLAGS="$CXXFLAGS"
 cf_result="none"
@@ -18691,7 +18500,7 @@
 	test -n "$cf_math" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_math}"
 	test -n "$cf_excp" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_excp}"
 cat >conftest.$ac_ext <<_ACEOF
-#line 18694 "configure"
+#line 18503 "configure"
 #include "confdefs.h"
 
 #include <etip.h.in>
@@ -18705,16 +18514,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18708: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18517: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18711: \$? = $ac_status" >&5
+  echo "$as_me:18520: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18714: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18523: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18717: \$? = $ac_status" >&5
+  echo "$as_me:18526: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	test -n "$cf_math" && cat >>confdefs.h <<EOF
@@ -18735,12 +18544,12 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 done
 done
-echo "$as_me:18738: result: $cf_result" >&5
+echo "$as_me:18547: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 CXXFLAGS="$cf_save_CXXFLAGS"
 
 if test -n "$CXX"; then
-echo "$as_me:18743: checking if $CXX accepts parameter initialization" >&5
+echo "$as_me:18552: checking if $CXX accepts parameter initialization" >&5
 echo $ECHO_N "checking if $CXX accepts parameter initialization... $ECHO_C" >&6
 if test "${cf_cv_cpp_param_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18757,7 +18566,7 @@
   cf_cv_cpp_param_init=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18760 "configure"
+#line 18569 "configure"
 #include "confdefs.h"
 
 class TEST {
@@ -18776,15 +18585,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:18779: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18588: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18782: \$? = $ac_status" >&5
+  echo "$as_me:18591: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:18784: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18593: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18787: \$? = $ac_status" >&5
+  echo "$as_me:18596: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_param_init=yes
 else
@@ -18803,7 +18612,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:18806: result: $cf_cv_cpp_param_init" >&5
+echo "$as_me:18615: result: $cf_cv_cpp_param_init" >&5
 echo "${ECHO_T}$cf_cv_cpp_param_init" >&6
 fi
 test "$cf_cv_cpp_param_init" = yes &&
@@ -18813,7 +18622,7 @@
 
 if test -n "$CXX"; then
 
-echo "$as_me:18816: checking if $CXX accepts static_cast" >&5
+echo "$as_me:18625: checking if $CXX accepts static_cast" >&5
 echo $ECHO_N "checking if $CXX accepts static_cast... $ECHO_C" >&6
 if test "${cf_cv_cpp_static_cast+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18827,7 +18636,7 @@
 ac_main_return=return
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18830 "configure"
+#line 18639 "configure"
 #include "confdefs.h"
 
 class NCursesPanel
@@ -18871,16 +18680,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18874: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18683: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18877: \$? = $ac_status" >&5
+  echo "$as_me:18686: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18880: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18689: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18883: \$? = $ac_status" >&5
+  echo "$as_me:18692: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_static_cast=yes
 else
@@ -18898,7 +18707,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:18901: result: $cf_cv_cpp_static_cast" >&5
+echo "$as_me:18710: result: $cf_cv_cpp_static_cast" >&5
 echo "${ECHO_T}$cf_cv_cpp_static_cast" >&6
 
 fi
@@ -18947,7 +18756,7 @@
 	else
 		if test "$cf_cv_header_stdbool_h" = 1 ; then
 
-echo "$as_me:18950: checking for size of bool" >&5
+echo "$as_me:18759: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18958,7 +18767,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18961 "configure"
+#line 18770 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -19000,15 +18809,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19003: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18812: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19006: \$? = $ac_status" >&5
+  echo "$as_me:18815: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19008: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18817: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19011: \$? = $ac_status" >&5
+  echo "$as_me:18820: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -19026,25 +18835,25 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:19029: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:18838: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in #(vi
 	.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:19035: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:18844: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
 		else
-			echo "$as_me:19041: checking for fallback type of bool" >&5
+			echo "$as_me:18850: checking for fallback type of bool" >&5
 echo $ECHO_N "checking for fallback type of bool... $ECHO_C" >&6
 			case "$host_cpu" in #(vi
 			i?86)	cf_cv_type_of_bool=char	;; #(vi
 			*)	cf_cv_type_of_bool=int	;;
 			esac
-			echo "$as_me:19047: result: $cf_cv_type_of_bool" >&5
+			echo "$as_me:18856: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 		fi
 	fi
@@ -19073,7 +18882,7 @@
 
 	if test "$cf_with_ada" != "no" ; then
 		if test "$with_libtool" != "no"; then
-			{ echo "$as_me:19076: WARNING: libtool does not support Ada - disabling feature" >&5
+			{ echo "$as_me:18885: WARNING: libtool does not support Ada - disabling feature" >&5
 echo "$as_me: WARNING: libtool does not support Ada - disabling feature" >&2;}
 			cf_with_ada=no
 		fi
@@ -19084,7 +18893,7 @@
 cf_ada_make=gnatmake
 # Extract the first word of "$cf_ada_make", so it can be a program name with args.
 set dummy $cf_ada_make; ac_word=$2
-echo "$as_me:19087: checking for $ac_word" >&5
+echo "$as_me:18896: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_gnat_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19099,7 +18908,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_gnat_exists="yes"
-echo "$as_me:19102: found $ac_dir/$ac_word" >&5
+echo "$as_me:18911: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -19108,10 +18917,10 @@
 fi
 gnat_exists=$ac_cv_prog_gnat_exists
 if test -n "$gnat_exists"; then
-  echo "$as_me:19111: result: $gnat_exists" >&5
+  echo "$as_me:18920: result: $gnat_exists" >&5
 echo "${ECHO_T}$gnat_exists" >&6
 else
-  echo "$as_me:19114: result: no" >&5
+  echo "$as_me:18923: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -19120,12 +18929,12 @@
    cf_cv_prog_gnat_correct=no
 else
 
-echo "$as_me:19123: checking for gnat version" >&5
+echo "$as_me:18932: checking for gnat version" >&5
 echo $ECHO_N "checking for gnat version... $ECHO_C" >&6
 cf_gnat_version=`${cf_ada_make:-gnatmake} -v 2>&1 | \
 	grep '[0-9].[0-9][0-9]*' |\
     sed -e '2,$d' -e 's/[^0-9 \.]//g' -e 's/^[ ]*//' -e 's/ .*//'`
-echo "$as_me:19128: result: $cf_gnat_version" >&5
+echo "$as_me:18937: result: $cf_gnat_version" >&5
 echo "${ECHO_T}$cf_gnat_version" >&6
 
 case $cf_gnat_version in #(vi
@@ -19133,7 +18942,7 @@
 	cf_cv_prog_gnat_correct=yes
 	;;
 *)
-	{ echo "$as_me:19136: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
+	{ echo "$as_me:18945: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
 echo "$as_me: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&2;}
 	cf_cv_prog_gnat_correct=no
 	;;
@@ -19141,7 +18950,7 @@
 
    # Extract the first word of "m4", so it can be a program name with args.
 set dummy m4; ac_word=$2
-echo "$as_me:19144: checking for $ac_word" >&5
+echo "$as_me:18953: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_M4_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19156,7 +18965,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_M4_exists="yes"
-echo "$as_me:19159: found $ac_dir/$ac_word" >&5
+echo "$as_me:18968: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -19165,10 +18974,10 @@
 fi
 M4_exists=$ac_cv_prog_M4_exists
 if test -n "$M4_exists"; then
-  echo "$as_me:19168: result: $M4_exists" >&5
+  echo "$as_me:18977: result: $M4_exists" >&5
 echo "${ECHO_T}$M4_exists" >&6
 else
-  echo "$as_me:19171: result: no" >&5
+  echo "$as_me:18980: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -19177,7 +18986,7 @@
       echo Ada95 binding required program m4 not found. Ada95 binding disabled.
    fi
    if test "$cf_cv_prog_gnat_correct" = yes; then
-      echo "$as_me:19180: checking if GNAT works" >&5
+      echo "$as_me:18989: checking if GNAT works" >&5
 echo $ECHO_N "checking if GNAT works... $ECHO_C" >&6
 
 rm -rf conftest* *~conftest*
@@ -19205,7 +19014,7 @@
 fi
 rm -rf conftest* *~conftest*
 
-      echo "$as_me:19208: result: $cf_cv_prog_gnat_correct" >&5
+      echo "$as_me:19017: result: $cf_cv_prog_gnat_correct" >&5
 echo "${ECHO_T}$cf_cv_prog_gnat_correct" >&6
    fi
 fi
@@ -19214,7 +19023,7 @@
 
  	ADAFLAGS="$ADAFLAGS -gnatpn"
 
-	echo "$as_me:19217: checking optimization options for ADAFLAGS" >&5
+	echo "$as_me:19026: checking optimization options for ADAFLAGS" >&5
 echo $ECHO_N "checking optimization options for ADAFLAGS... $ECHO_C" >&6
 	case "$CFLAGS" in
 	*-g*)
@@ -19231,10 +19040,10 @@
 
 		;;
 	esac
-	echo "$as_me:19234: result: $ADAFLAGS" >&5
+	echo "$as_me:19043: result: $ADAFLAGS" >&5
 echo "${ECHO_T}$ADAFLAGS" >&6
 
-echo "$as_me:19237: checking if GNAT supports generics" >&5
+echo "$as_me:19046: checking if GNAT supports generics" >&5
 echo $ECHO_N "checking if GNAT supports generics... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[1-9]*|[4-9].*) #(vi
@@ -19244,7 +19053,7 @@
 	cf_gnat_generics=no
 	;;
 esac
-echo "$as_me:19247: result: $cf_gnat_generics" >&5
+echo "$as_me:19056: result: $cf_gnat_generics" >&5
 echo "${ECHO_T}$cf_gnat_generics" >&6
 
 if test "$cf_gnat_generics" = yes
@@ -19256,7 +19065,7 @@
 	cf_generic_objects=
 fi
 
-echo "$as_me:19259: checking if GNAT supports SIGINT" >&5
+echo "$as_me:19068: checking if GNAT supports SIGINT" >&5
 echo $ECHO_N "checking if GNAT supports SIGINT... $ECHO_C" >&6
 if test "${cf_cv_gnat_sigint+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19304,7 +19113,7 @@
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:19307: result: $cf_cv_gnat_sigint" >&5
+echo "$as_me:19116: result: $cf_cv_gnat_sigint" >&5
 echo "${ECHO_T}$cf_cv_gnat_sigint" >&6
 
 if test $cf_cv_gnat_sigint = yes ; then
@@ -19313,7 +19122,7 @@
 	USE_GNAT_SIGINT="#"
 fi
 
-echo "$as_me:19316: checking if GNAT pragma Unreferenced works" >&5
+echo "$as_me:19125: checking if GNAT pragma Unreferenced works" >&5
 echo $ECHO_N "checking if GNAT pragma Unreferenced works... $ECHO_C" >&6
 if test "${cf_cv_pragma_unreferenced+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19344,7 +19153,7 @@
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:19347: result: $cf_cv_pragma_unreferenced" >&5
+echo "$as_me:19156: result: $cf_cv_pragma_unreferenced" >&5
 echo "${ECHO_T}$cf_cv_pragma_unreferenced" >&6
 
 # if the pragma is supported, use it (needed in the Trace code).
@@ -19357,7 +19166,7 @@
 cf_gnat_libraries=no
 cf_gnat_projects=no
 
-echo "$as_me:19360: checking if GNAT supports project files" >&5
+echo "$as_me:19169: checking if GNAT supports project files" >&5
 echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[0-9]*) #(vi
@@ -19425,14 +19234,14 @@
 	esac
 	;;
 esac
-echo "$as_me:19428: result: $cf_gnat_projects" >&5
+echo "$as_me:19237: result: $cf_gnat_projects" >&5
 echo "${ECHO_T}$cf_gnat_projects" >&6
 
 if test $cf_gnat_projects = yes
 then
-	echo "$as_me:19433: checking if GNAT supports libraries" >&5
+	echo "$as_me:19242: checking if GNAT supports libraries" >&5
 echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6
-	echo "$as_me:19435: result: $cf_gnat_libraries" >&5
+	echo "$as_me:19244: result: $cf_gnat_libraries" >&5
 echo "${ECHO_T}$cf_gnat_libraries" >&6
 fi
 
@@ -19452,7 +19261,7 @@
 	USE_GNAT_LIBRARIES="#"
 fi
 
-echo "$as_me:19455: checking for ada-compiler" >&5
+echo "$as_me:19264: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -19463,12 +19272,12 @@
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:19466: result: $cf_ada_compiler" >&5
+echo "$as_me:19275: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
 			cf_ada_package=terminal_interface
 
-echo "$as_me:19471: checking for ada-include" >&5
+echo "$as_me:19280: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -19504,7 +19313,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:19507: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:19316: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -19513,10 +19322,10 @@
 fi
 eval ADA_INCLUDE="$withval"
 
-echo "$as_me:19516: result: $ADA_INCLUDE" >&5
+echo "$as_me:19325: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:19519: checking for ada-objects" >&5
+echo "$as_me:19328: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -19552,7 +19361,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:19555: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:19364: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -19561,10 +19370,10 @@
 fi
 eval ADA_OBJECTS="$withval"
 
-echo "$as_me:19564: result: $ADA_OBJECTS" >&5
+echo "$as_me:19373: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:19567: checking if an Ada95 shared-library should be built" >&5
+echo "$as_me:19376: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -19574,7 +19383,7 @@
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:19577: result: $with_ada_sharedlib" >&5
+echo "$as_me:19386: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
@@ -19605,7 +19414,7 @@
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:19608: checking for library subsets" >&5
+echo "$as_me:19417: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -19646,7 +19455,7 @@
 test "x$with_widec"     = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:19649: result: $LIB_SUBSETS" >&5
+echo "$as_me:19458: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -19684,7 +19493,7 @@
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:19687: checking default library suffix" >&5
+echo "$as_me:19496: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -19695,10 +19504,10 @@
 	shared)  DFT_ARG_SUFFIX=''   ;;
 	esac
 	test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:19698: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:19507: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:19701: checking default library-dependency suffix" >&5
+echo "$as_me:19510: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in #(vi
@@ -19751,10 +19560,10 @@
 	esac
 	test -n "$LIB_SUFFIX" && DFT_LIB_SUFFIX="${LIB_SUFFIX}${DFT_LIB_SUFFIX}"
 	test -n "$LIB_SUFFIX" && DFT_DEP_SUFFIX="${LIB_SUFFIX}${DFT_DEP_SUFFIX}"
-echo "$as_me:19754: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:19563: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:19757: checking default object directory" >&5
+echo "$as_me:19566: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -19770,12 +19579,12 @@
 			DFT_OBJ_SUBDIR='obj_s' ;;
 		esac
 	esac
-echo "$as_me:19773: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:19582: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 # libtool thinks it can make c++ shared libraries (perhaps only g++)
 if test "x$cf_with_cxx" = xyes ; then
-echo "$as_me:19778: checking c++ library-dependency suffix" >&5
+echo "$as_me:19587: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
 	CXX_LIB_SUFFIX=$DFT_DEP_SUFFIX
@@ -19832,7 +19641,7 @@
 	test -n "$LIB_SUFFIX" && CXX_LIB_SUFFIX="${LIB_SUFFIX}${CXX_LIB_SUFFIX}"
 	test -n "$LIB_SUFFIX" && CXX_DEP_SUFFIX="${LIB_SUFFIX}${CXX_DEP_SUFFIX}"
 fi
-echo "$as_me:19835: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:19644: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
@@ -19997,19 +19806,19 @@
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-	echo "$as_me:20000: checking if linker supports switching between static/dynamic" >&5
+	echo "$as_me:19809: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
 	rm -f libconftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 20005 "configure"
+#line 19814 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-	if { (eval echo "$as_me:20009: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:19818: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20012: \$? = $ac_status" >&5
+  echo "$as_me:19821: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
 		( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -20020,10 +19829,10 @@
 
 	LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 20023 "configure"
+#line 19832 "configure"
 #include "confdefs.h"
 
-#line 20026 "configure"
+#line 19835 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -20038,16 +19847,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:20041: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19850: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20044: \$? = $ac_status" >&5
+  echo "$as_me:19853: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:20047: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19856: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20050: \$? = $ac_status" >&5
+  echo "$as_me:19859: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	# some linkers simply ignore the -dynamic
@@ -20070,7 +19879,7 @@
 	rm -f libconftest.*
 	LIBS="$cf_save_LIBS"
 
-	echo "$as_me:20073: result: $cf_ldflags_static" >&5
+	echo "$as_me:19882: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
 	if test $cf_ldflags_static != yes
@@ -20086,12 +19895,12 @@
 	;;
 esac
 
-echo "$as_me:20089: checking where we will install curses.h" >&5
+echo "$as_me:19898: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 test "$with_overwrite" = no && \
 test "x$includedir" = 'x${prefix}/include' && \
 	includedir='${prefix}/include/ncurses'${LIB_SUFFIX}
-echo "$as_me:20094: result: $includedir" >&5
+echo "$as_me:19903: result: $includedir" >&5
 echo "${ECHO_T}$includedir" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -20099,7 +19908,7 @@
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
 	NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-	{ echo "$as_me:20102: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+	{ echo "$as_me:19911: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -20117,7 +19926,7 @@
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:20120: checking for src modules" >&5
+echo "$as_me:19929: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -20182,7 +19991,7 @@
 		fi
 	fi
 done
-echo "$as_me:20185: result: $cf_cv_src_modules" >&5
+echo "$as_me:19994: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -20395,7 +20204,7 @@
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:20398: checking for $ac_word" >&5
+echo "$as_me:20207: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20412,7 +20221,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:20415: found $ac_dir/$ac_word" >&5
+   echo "$as_me:20224: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -20424,10 +20233,10 @@
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:20427: result: $TIC_PATH" >&5
+  echo "$as_me:20236: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:20430: result: no" >&5
+  echo "$as_me:20239: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -20435,7 +20244,7 @@
 then
 	if test "$TIC_PATH" = unknown
 	then
-		{ echo "$as_me:20438: WARNING: no tic program found for fallbacks" >&5
+		{ echo "$as_me:20247: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
 	fi
 fi
@@ -20531,7 +20340,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:20534: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:20343: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -20707,7 +20516,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:20710: error: ambiguous option: $1
+    { { echo "$as_me:20519: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -20726,7 +20535,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:20729: error: unrecognized option: $1
+  -*) { { echo "$as_me:20538: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -20835,7 +20644,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:20838: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:20647: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -21256,7 +21065,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:21259: creating $ac_file" >&5
+    { echo "$as_me:21068: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -21274,7 +21083,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:21277: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:21086: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -21287,7 +21096,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:21290: error: cannot find input file: $f" >&5
+           { { echo "$as_me:21099: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -21303,7 +21112,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:21306: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:21115: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -21312,7 +21121,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:21315: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:21124: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -21349,7 +21158,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:21352: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:21161: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -21360,7 +21169,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:21363: WARNING: Some variables may not be substituted:
+      { echo "$as_me:21172: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -21409,7 +21218,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:21412: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:21221: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -21420,7 +21229,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:21423: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:21232: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -21433,7 +21242,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:21436: error: cannot find input file: $f" >&5
+           { { echo "$as_me:21245: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -21491,7 +21300,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:21494: $ac_file is unchanged" >&5
+      { echo "$as_me:21303: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
Index: configure.in
Prereq:  1.558 
--- ncurses-5.9-20121026+/configure.in	2012-10-06 22:22:28.000000000 +0000
+++ ncurses-5.9-20121102/configure.in	2012-11-03 19:39:31.000000000 +0000
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.558 2012/10/06 22:22:28 tom Exp $
+dnl $Id: configure.in,v 1.560 2012/11/03 19:39:31 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.558 $)
+AC_REVISION($Revision: 1.560 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -1409,7 +1409,6 @@
 setvbuf \
 sigaction \
 sigvec \
-strdup \
 strstr \
 tcgetpgrp \
 times \
@@ -1439,7 +1438,6 @@
 AC_CHECK_TYPE(intptr_t, long)
 CF_TYPE_SIGACTION
 CF_SIZECHANGE
-CF_FUNC_MEMMOVE
 CF_FUNC_POLL
 CF_VA_COPY
 AC_FUNC_VFORK
Index: dist.mk
Prereq:  1.898 
--- ncurses-5.9-20121026+/dist.mk	2012-10-27 15:34:24.000000000 +0000
+++ ncurses-5.9-20121102/dist.mk	2012-11-03 14:12:24.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.898 2012/10/27 15:34:24 tom Exp $
+# $Id: dist.mk,v 1.899 2012/11/03 14:12:24 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20121026
+NCURSES_PATCH = 20121102
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: include/nc_alloc.h
Prereq:  1.19 
--- ncurses-5.9-20121026+/include/nc_alloc.h	2011-10-22 16:54:57.000000000 +0000
+++ ncurses-5.9-20121102/include/nc_alloc.h	2012-11-03 19:31:35.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2010,2011 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2011,2012 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -29,7 +29,7 @@
 /****************************************************************************
  *  Author: Thomas E. Dickey                    1996-on                     *
  ****************************************************************************/
-/* $Id: nc_alloc.h,v 1.19 2011/10/22 16:54:57 tom Exp $ */
+/* $Id: nc_alloc.h,v 1.20 2012/11/03 19:31:35 tom Exp $ */
 
 #ifndef NC_ALLOC_included
 #define NC_ALLOC_included 1
@@ -94,10 +94,6 @@
 
 /* doalloc.c */
 extern NCURSES_EXPORT(void *) _nc_doalloc(void *, size_t);
-#if !HAVE_STRDUP
-#define strdup _nc_strdup
-extern NCURSES_EXPORT(char *) _nc_strdup(const char *);
-#endif
 
 /* entries.c */
 extern NCURSES_EXPORT(void) _nc_leaks_tinfo(void);
Index: include/ncurses_defs
Prereq:  1.55 
--- ncurses-5.9-20121026+/include/ncurses_defs	2012-10-27 17:16:05.000000000 +0000
+++ ncurses-5.9-20121102/include/ncurses_defs	2012-11-03 19:42:04.000000000 +0000
@@ -1,4 +1,4 @@
-# $Id: ncurses_defs,v 1.55 2012/10/27 17:16:05 tom Exp $
+# $Id: ncurses_defs,v 1.57 2012/11/03 19:42:04 tom Exp $
 ##############################################################################
 # Copyright (c) 2000-2011,2012 Free Software Foundation, Inc.                #
 #                                                                            #
@@ -128,7 +128,6 @@
 HAVE_SLK_INIT	1
 HAVE_SNPRINTF
 HAVE_STDINT_H
-HAVE_STRDUP
 HAVE_STRLCAT
 HAVE_STRLCPY
 HAVE_STRSTR
@@ -208,8 +207,6 @@
 USE_HASHMAP
 USE_HOME_TERMINFO
 USE_LINKS
-USE_MY_MEMMOVE
-USE_OK_BCOPY
 USE_PTHREADS_EINTR
 USE_RCS_IDS
 USE_REENTRANT
Index: man/curs_add_wch.3x
Prereq:  1.14 
--- ncurses-5.9-20121026+/man/curs_add_wch.3x	2011-01-15 15:27:43.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_add_wch.3x	2012-11-03 23:03:59.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2001-2010,2011 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2001-2011,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_add_wch.3x,v 1.14 2011/01/15 15:27:43 tom Exp $
+.\" $Id: curs_add_wch.3x,v 1.15 2012/11/03 23:03:59 tom Exp $
 .TH curs_add_wch 3X ""
 .de bP
 .IP \(bu 4
@@ -176,7 +176,7 @@
 WACS_D_VLINE	0x2551	|	double vertical line
 WACS_D_PLUS	0x256c	+	double large plus or crossover
 .TE
-.SH RETURN VALUES
+.SH RETURN VALUE
 .PP
 All routines return the integer \fBERR\fR upon failure and \fBOK\fR on success.
 .PP
Index: man/curs_add_wchstr.3x
Prereq:  1.9 
--- ncurses-5.9-20121026+/man/curs_add_wchstr.3x	2010-12-04 18:36:44.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_add_wchstr.3x	2012-11-03 22:54:43.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2002-2005,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2002-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,8 +26,13 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_add_wchstr.3x,v 1.9 2010/12/04 18:36:44 tom Exp $
+.\" $Id: curs_add_wchstr.3x,v 1.10 2012/11/03 22:54:43 tom Exp $
 .TH curs_add_wchstr 3X ""
+.de bP
+.IP \(bu 4
+..
+.na
+.hy 0
 .SH NAME
 \fBadd_wchstr\fR,
 \fBadd_wchnstr\fR,
@@ -37,10 +42,12 @@
 \fBmvadd_wchnstr\fR,
 \fBmvwadd_wchstr\fR,
 \fBmvwadd_wchnstr\fR \- add an array of complex characters (and attributes) to a curses window
+.ad
+.hy
 .SH SYNOPSIS
-.B #include <curses.h>
-.PP
 .nf
+\fB#include <curses.h>\fR
+.PP
 \fBint add_wchstr(const cchar_t *\fR\fIwchstr\fR\fB);\fR
 .br
 \fBint add_wchnstr(const cchar_t *\fR\fIwchstr\fR\fB, int \fR\fIn\fR\fB);\fR
@@ -58,38 +65,53 @@
 \fBint mvwadd_wchnstr(WINDOW *\fR\fIwin\fR\fB, int \fR\fIy\fR\fB, int \fR\fIx\fR\fB, const cchar_t *\fR\fIwchstr\fR\fB, int \fR\fIn\fR\fB);\fR
 .fi
 .SH DESCRIPTION
-These routines copy the array of complex characters \fIwchstr\fR
-into the window image structure at and after the current cursor position.
-The four routines with \fIn\fR as the last
-argument copy at most \fIn\fR elements, but no more than will fit on the line.
+These functions copy the (null-terminated)
+array of complex characters \fIwchstr\fR
+into the window image structure
+starting at the current cursor position.
+The four functions with \fIn\fR as the last
+argument copy at most \fIn\fR elements,
+but no more than will fit on the line.
 If \fBn\fR=\fB\-1\fR then the whole array is copied,
 to the maximum number of characters that will fit on the line.
 .PP
 The window cursor is \fInot\fR advanced.
-These routines work faster than \fBwaddnstr\fR.
-On the other hand, they do not perform checking
+These functions work faster than \fBwaddnstr\fR.
+On the other hand:
+.bP
+they do not perform checking
 (such as for the newline, backspace, or carriage return characters),
+.bP
 they do not advance the current cursor position,
-they do not expand other control characters to ^-escapes,
-and they truncate the string if it crosses the right margin,
+.bP
+they do not expand other control characters to ^-escapes, and
+.bP
+they truncate the string if it crosses the right margin,
 rather than wrapping it around to the new line.
 .PP
-These routines end successfully
+These functions end successfully
 on encountering a null \fIcchar_t\fR, or
 when they have filled the current line.
 If a complex character cannot completely fit at the end of the current line,
 the remaining columns are filled with the background character and rendition.
-.SH NOTES
-All functions except \fBwadd_wchnstr\fR may be macros.
-.SH RETURN VALUES
-All routines return the integer \fBERR\fR upon failure and \fBOK\fR on success.
+.SH RETURN VALUE
+All functions return the integer \fBERR\fR upon failure and \fBOK\fR on success.
+.PP
+X/Open does not define any error conditions.
+This implementation returns an error
+if the window pointer is null.
 .PP
 Functions with a "mv" prefix first perform a cursor movement using
 \fBwmove\fP, and return an error if the position is outside the window,
 or if the window pointer is null.
+.SH NOTES
+All functions except \fBwadd_wchnstr\fR may be macros.
 .SH PORTABILITY
-All these entry points are described in the XSI Curses standard, Issue 4.
+These entry points are described in the XSI Curses standard, Issue 4.
 .SH SEE ALSO
-\fBcurses\fR(3X),
-\fBcurs_addchstr\fR(3X),
-\fBcurs_addwstr\fR(3X)
+\fBcurs_addwstr\fR(3X),
+\fBcurses\fR(3X).
+.PP
+Comparable functions in the narrow-character (ncurses) library are
+described in
+\fBcurs_addchstr\fR(3X).
Index: man/curs_addchstr.3x
Prereq:  1.15 
--- ncurses-5.9-20121026+/man/curs_addchstr.3x	2010-12-04 18:36:44.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_addchstr.3x	2012-11-03 22:54:43.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2006,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,8 +26,11 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_addchstr.3x,v 1.15 2010/12/04 18:36:44 tom Exp $
+.\" $Id: curs_addchstr.3x,v 1.16 2012/11/03 22:54:43 tom Exp $
 .TH curs_addchstr 3X ""
+.de bP
+.IP \(bu 4
+..
 .na
 .hy 0
 .SH NAME
@@ -42,6 +45,7 @@
 .ad
 .hy
 .SH SYNOPSIS
+.nf
 \fB#include <curses.h>\fR
 .PP
 \fBint addchstr(const chtype *chstr);\fR
@@ -59,24 +63,33 @@
 \fBint mvwaddchstr(WINDOW *win, int y, int x, const chtype *chstr);\fR
 .br
 \fBint mvwaddchnstr(WINDOW *win, int y, int x, const chtype *chstr, int n);\fR
+.fi
 .SH DESCRIPTION
-These routines copy \fIchstr\fR into the window image structure at and after
-the current cursor position.  The four routines with \fIn\fR as the last
-argument copy at most \fIn\fR elements, but no more than will fit on the line.
-If \fBn\fR=\fB\-1\fR then the whole string is copied, to the maximum number of
-characters that will fit on the line.
+These functions copy the (null-terminated)
+\fIchstr\fR array
+into the window image structure
+starting at the current cursor position.
+The four functions with \fIn\fR as the last
+argument copy at most \fIn\fR elements,
+but no more than will fit on the line.
+If \fBn\fR=\fB\-1\fR then the whole array is copied,
+to the maximum number of characters that will fit on the line.
 .PP
-The window cursor is \fInot\fR advanced, and these routines work faster than
-\fBwaddnstr\fR.  On the other hand, they do not perform any kind of checking
-(such as for the newline, backspace, or carriage return characters), they do not
-advance the current cursor position, they do not expand other control characters
-to ^-escapes, and they truncate the string if it crosses the right margin,
+The window cursor is \fInot\fR advanced.
+These functions work faster than \fBwaddnstr\fR.
+On the other hand:
+.bP
+they do not perform checking
+(such as for the newline, backspace, or carriage return characters),
+.bP
+they do not advance the current cursor position,
+.bP
+they do not expand other control characters to ^-escapes, and
+.bP
+they truncate the string if it crosses the right margin,
 rather than wrapping it around to the new line.
-.SH RETURN VALUES
-All routines return the integer \fBERR\fR upon failure and \fBOK\fR on success
-(the SVr4 manuals specify only "an integer value other than \fBERR\fR") upon
-successful completion, unless otherwise noted in the preceding routine
-descriptions.
+.SH RETURN VALUE
+All functions return the integer \fBERR\fR upon failure and \fBOK\fR on success.
 .PP
 X/Open does not define any error conditions.
 This implementation returns an error
@@ -86,10 +99,11 @@
 \fBwmove\fP, and return an error if the position is outside the window,
 or if the window pointer is null.
 .SH NOTES
-Note that all routines except \fBwaddchnstr\fR may be macros.
+All functions except \fBwaddchnstr\fR may be macros.
 .SH PORTABILITY
 These entry points are described in the XSI Curses standard, Issue 4.
 .SH SEE ALSO
+\fBcurs_addstr\fR(3X),
 \fBcurses\fR(3X).
 .PP
 Comparable functions in the wide-character (ncursesw) library are
Index: man/curs_addstr.3x
Prereq:  1.16 
--- ncurses-5.9-20121026+/man/curs_addstr.3x	2010-12-04 18:36:44.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_addstr.3x	2012-11-03 22:57:31.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2005,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,8 +26,11 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_addstr.3x,v 1.16 2010/12/04 18:36:44 tom Exp $
+.\" $Id: curs_addstr.3x,v 1.17 2012/11/03 22:57:31 tom Exp $
 .TH curs_addstr 3X ""
+.de bP
+.IP \(bu 4
+..
 .na
 .hy 0
 .SH NAME
@@ -62,34 +65,37 @@
 \fBint mvwaddnstr(WINDOW *\fR\fIwin\fR\fB, int \fR\fIy\fR\fB, int \fR\fIx\fR\fB, const char *\fR\fIstr, int \fR\fIn\fR\fB);\fR
 .fi
 .SH DESCRIPTION
-These routines write the characters of the (null-terminated) character string
+These functions write the (null-terminated) character string
 \fIstr\fR on the given window.
 It is similar to calling \fBwaddch\fR once for each character in the string.
-The four routines with \fIn\fR as the last argument
-write at most \fIn\fR characters.
-If \fIn\fR is \-1, then the entire string will be added,
-up to the maximum number of characters that will fit on the line,
+.PP
+The \fImv\fR functions perform cursor movement once, before writing any
+characters.
+Thereafter, the cursor is advanced as a side-effect of writing to the window.
+.PP
+The four functions with \fIn\fR as the last argument
+write at most \fIn\fR characters,
 or until a terminating null is reached.
+If \fIn\fR is \-1, then the entire string will be added.
 .SH RETURN VALUE
-All routines return the integer \fBERR\fR upon failure and \fBOK\fR on success
-(the SVr4 manuals specify only "an integer value other than \fBERR\fR") upon
-successful completion.
+All functions return the integer \fBERR\fR upon failure and \fBOK\fR on success.
 .PP
 X/Open does not define any error conditions.
 This implementation returns an error
+.bP
 if the window pointer is null or
+.bP
 if the string pointer is null or
+.bP
 if the corresponding calls to \fBwaddch\fP return an error.
 .PP
 Functions with a "mv" prefix first perform a cursor movement using
 \fBwmove\fP, and return an error if the position is outside the window,
 or if the window pointer is null.
 .SH NOTES
-Note that all of these routines except \fBwaddstr\fR and \fBwaddnstr\fR may be
-macros.
+All of these functions except \fBwaddnstr\fR may be macros.
 .SH PORTABILITY
-All these entry points are described in the XSI Curses standard, Issue 4.  The
-XSI errors EILSEQ and EOVERFLOW, associated with extended-level conformance,
-are not yet detected.
+These functions are described in the XSI Curses standard, Issue 4.
 .SH SEE ALSO
-\fBcurses\fR(3X), \fBcurs_addch\fR(3X).
+\fBcurses\fR(3X),
+\fBcurs_addch\fR(3X).
Index: man/curs_addwstr.3x
Prereq:  1.10 
--- ncurses-5.9-20121026+/man/curs_addwstr.3x	2010-12-04 18:36:44.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_addwstr.3x	2012-11-03 22:57:31.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2002-2006,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2002-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,8 +26,11 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_addwstr.3x,v 1.10 2010/12/04 18:36:44 tom Exp $
+.\" $Id: curs_addwstr.3x,v 1.11 2012/11/03 22:57:31 tom Exp $
 .TH curs_addwstr 3X ""
+.de bP
+.IP \(bu 4
+..
 .na
 .hy 0
 .SH NAME
@@ -62,31 +65,39 @@
 \fBint mvwaddnwstr(WINDOW *\fR\fIwin\fR\fB, int \fR\fIy\fR\fB, int \fR\fIx\fR\fB, const wchar_t *\fR\fIwstr\fR\fB, int \fR\fIn\fR\fB);\fR
 .fi
 .SH DESCRIPTION
-These routines write the characters of the
+These functions write the characters of the
 (null-terminated) \fBwchar_t\fR character string
 \fIwstr\fR on the given window.
 It is similar to constructing a \fBcchar_t\fR for each wchar_t in the string,
 then calling \fBwadd_wch\fR for the resulting \fBcchar_t\fR.
 .PP
-The \fImv\fR routines perform cursor movement once, before writing any
+The \fImv\fR functions perform cursor movement once, before writing any
 characters.
 Thereafter, the cursor is advanced as a side-effect of writing to the window.
 .PP
-The four routines with \fIn\fR as the last argument
-write at most \fIn\fR \fBwchar_t\fR characters.
-If \fIn\fR is \-1, then the entire string will be added,
-up to the maximum number of characters that will fit on the line,
+The four functions with \fIn\fR as the last argument
+write at most \fIn\fR \fBwchar_t\fR characters,
 or until a terminating null is reached.
-.SH RETURN VALUES
-All routines return the integer \fBERR\fR upon failure and \fBOK\fR on success.
+If \fIn\fR is \-1, then the entire string will be added.
+.SH RETURN VALUE
+All functions return the integer \fBERR\fR upon failure and \fBOK\fR on success.
+.PP
+X/Open does not define any error conditions.
+This implementation returns an error
+.bP
+if the window pointer is null or
+.bP
+if the string pointer is null or
+.bP
+if the corresponding calls to \fBwadd_wch\fP return an error.
 .PP
 Functions with a "mv" prefix first perform a cursor movement using
 \fBwmove\fP, and return an error if the position is outside the window,
 or if the window pointer is null.
 .SH NOTES
-Note that all of these routines except \fBwaddnwstr\fR may be macros.
+All of these functions except \fBwaddnwstr\fR may be macros.
 .SH PORTABILITY
-All these entry points are described in the XSI Curses standard, Issue 4.
+These functions are described in the XSI Curses standard, Issue 4.
 .SH SEE ALSO
 \fBcurses\fR(3X),
 \fBcurs_add_wch\fR(3X)
Index: man/curs_bkgrnd.3x
Prereq:  1.4 
--- ncurses-5.9-20121026+/man/curs_bkgrnd.3x	2010-12-04 18:49:20.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_bkgrnd.3x	2012-11-03 23:03:59.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2002-2006,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2002-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_bkgrnd.3x,v 1.4 2010/12/04 18:49:20 tom Exp $
+.\" $Id: curs_bkgrnd.3x,v 1.5 2012/11/03 23:03:59 tom Exp $
 .TH curs_bkgrnd 3X ""
 .SH NAME
 \fBbkgrnd\fR,
@@ -89,7 +89,7 @@
 \fBbkgrndset\fR, and
 \fBgetbkgrnd\fR
 may be macros.
-.SH RETURN VALUES
+.SH RETURN VALUE
 The \fBbkgrndset\fR and \fBwbkgrndset\fR routines do not return a value.
 .PP
 Upon successful completion, the other functions return \fBOK\fR.
Index: man/curs_border_set.3x
Prereq:  1.10 
--- ncurses-5.9-20121026+/man/curs_border_set.3x	2011-01-15 12:56:18.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_border_set.3x	2012-11-03 23:03:59.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2002-2010,2011 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2002-2011,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_border_set.3x,v 1.10 2011/01/15 12:56:18 tom Exp $
+.\" $Id: curs_border_set.3x,v 1.11 2012/11/03 23:03:59 tom Exp $
 .TH curs_border_set 3X ""
 .na
 .hy 0
@@ -187,7 +187,7 @@
 \fBvline_set\fR
 may be macros.
 .br
-.SH RETURN VALUES
+.SH RETURN VALUE
 .PP
 Upon successful completion, these functions return
 \fBOK\fR.
Index: man/curs_get_wch.3x
Prereq:  1.7 
--- ncurses-5.9-20121026+/man/curs_get_wch.3x	2010-08-14 23:31:42.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_get_wch.3x	2012-11-03 23:03:59.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2002-2006,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2002-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_get_wch.3x,v 1.7 2010/08/14 23:31:42 tom Exp $
+.\" $Id: curs_get_wch.3x,v 1.8 2012/11/03 23:03:59 tom Exp $
 .TH curs_get_wch 3X ""
 .SH NAME
 \fBget_wch\fR,
@@ -132,7 +132,7 @@
 .PP
 All functions except \fBwget_wch\fR and \fBunget_wch\fR
 may be macros.
-.SH RETURN VALUES
+.SH RETURN VALUE
 When
 \fBget_wch\fR,
 \fBwget_wch\fR,
Index: man/curs_get_wstr.3x
Prereq:  1.8 
--- ncurses-5.9-20121026+/man/curs_get_wstr.3x	2010-12-04 18:36:44.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_get_wstr.3x	2012-11-03 23:03:59.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2002-2006,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2002-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_get_wstr.3x,v 1.8 2010/12/04 18:36:44 tom Exp $
+.\" $Id: curs_get_wstr.3x,v 1.9 2012/11/03 23:03:59 tom Exp $
 .TH curs_get_wstr 3X ""
 .na
 .hy 0
@@ -144,7 +144,7 @@
 is no way to distinguish a \fBKEY_\fR value from a valid \fBwchar_t\fR value.
 .PP
 All of these routines except \fBwgetn_wstr\fR may be macros.
-.SH RETURN VALUES
+.SH RETURN VALUE
 All of these functions return \fBOK\fR upon successful completion.
 Otherwise, they return \fBERR\fR.
 .PP
Index: man/curs_getcchar.3x
Prereq:  1.15 
--- ncurses-5.9-20121026+/man/curs_getcchar.3x	2010-12-04 18:36:44.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_getcchar.3x	2012-11-03 23:03:59.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2001-2009,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2001-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_getcchar.3x,v 1.15 2010/12/04 18:36:44 tom Exp $
+.\" $Id: curs_getcchar.3x,v 1.16 2012/11/03 23:03:59 tom Exp $
 .TH curs_getcchar 3X ""
 .de bP
 .IP \(bu 4
@@ -116,7 +116,7 @@
 The \fIwcval\fP argument may be a value generated by a call to
 \fBsetcchar\fP or by a function that has a \fBcchar_t\fP output argument.
 If \fIwcval\fP is constructed by any other means, the effect is unspecified.
-.SH RETURN VALUES
+.SH RETURN VALUE
 .PP
 When \fIwch\fP is a null pointer,
 \fBgetcchar\fP returns the number of wide characters referenced by
Index: man/curs_in_wchstr.3x
Prereq:  1.8 
--- ncurses-5.9-20121026+/man/curs_in_wchstr.3x	2010-12-04 18:36:44.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_in_wchstr.3x	2012-11-03 23:03:59.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2002-2006,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2002-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_in_wchstr.3x,v 1.8 2010/12/04 18:36:44 tom Exp $
+.\" $Id: curs_in_wchstr.3x,v 1.9 2012/11/03 23:03:59 tom Exp $
 .TH curs_in_wchstr 3X ""
 .na
 .hy 0
@@ -98,7 +98,7 @@
 \fBmvwin_wchnstr\fR, or
 \fBwin_wchnstr\fR
 is recommended.
-.SH RETURN VALUES
+.SH RETURN VALUE
 Upon successful completion, these functions return
 \fBOK\fR.
 Otherwise, they return
Index: man/curs_ins_wstr.3x
Prereq:  1.6 
--- ncurses-5.9-20121026+/man/curs_ins_wstr.3x	2010-12-04 18:38:55.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_ins_wstr.3x	2012-11-03 23:03:59.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2002-2005,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2002-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_ins_wstr.3x,v 1.6 2010/12/04 18:38:55 tom Exp $
+.\" $Id: curs_ins_wstr.3x,v 1.7 2012/11/03 23:03:59 tom Exp $
 .TH curs_ins_wstr 3X ""
 .na
 .hy 0
@@ -92,7 +92,7 @@
 functions will fail.
 XSI does not define what will happen if a nonspacing character follows
 a control character.
-.SH RETURN VALUES
+.SH RETURN VALUE
 Upon successful completion, these functions return OK.
 Otherwise, they return ERR.
 .PP
Index: man/curs_inwstr.3x
Prereq:  1.7 
--- ncurses-5.9-20121026+/man/curs_inwstr.3x	2010-12-04 18:38:55.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_inwstr.3x	2012-11-03 23:03:59.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 2002-2006,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 2002-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,7 +26,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_inwstr.3x,v 1.7 2010/12/04 18:38:55 tom Exp $
+.\" $Id: curs_inwstr.3x,v 1.8 2012/11/03 23:03:59 tom Exp $
 .TH curs_inwstr 3X ""
 .SH NAME
 \fBinwstr\fR,
@@ -72,7 +72,7 @@
 Note that all routines except
 \fBwinnwstr\fR
 may be macros.
-.SH RETURN VALUES
+.SH RETURN VALUE
 All routines return
 \fBERR\fR
 upon failure. Upon
Index: man/curs_termcap.3x
Prereq:  1.27 
--- ncurses-5.9-20121026+/man/curs_termcap.3x	2011-10-15 21:11:24.000000000 +0000
+++ ncurses-5.9-20121102/man/curs_termcap.3x	2012-11-03 21:56:15.000000000 +0000
@@ -1,5 +1,5 @@
 .\"***************************************************************************
-.\" Copyright (c) 1998-2010,2011 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2011,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -26,8 +26,11 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: curs_termcap.3x,v 1.27 2011/10/15 21:11:24 tom Exp $
+.\" $Id: curs_termcap.3x,v 1.28 2012/11/03 21:56:15 tom Exp $
 .TH curs_termcap 3X ""
+.de bP
+.IP \(bu 4
+..
 .na
 .hy 0
 .ds n 5
@@ -94,15 +97,13 @@
 .PP
 This differs from the \fItermcap\fP library in two ways:
 .RS 3
-.TP 3
--
+.bP
 The emulation ignores the buffer pointer \fIbp\fR.
 The \fItermcap\fP library would store a copy of the terminal
 description in the area referenced by this pointer.
 However, ncurses stores its terminal descriptions in compiled
 binary form, which is not the same thing.
-.TP 3
--
+.bP
 There is a difference in return codes.
 The \fItermcap\fP library does not check if the terminal
 description is marked with the \fIgeneric\fP capability,
Index: man/form_field.3x
Prereq:  1.10 
--- ncurses-5.9-20121026+/man/form_field.3x	2010-12-04 18:40:45.000000000 +0000
+++ ncurses-5.9-20121102/man/form_field.3x	2012-11-03 23:03:59.000000000 +0000
@@ -1,6 +1,6 @@
 '\" t
 .\"***************************************************************************
-.\" Copyright (c) 1998-2006,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: form_field.3x,v 1.10 2010/12/04 18:40:45 tom Exp $
+.\" $Id: form_field.3x,v 1.11 2012/11/03 23:03:59 tom Exp $
 .TH form_field 3X ""
 .SH NAME
 \fBform_field\fR \- make and break connections between fields and forms
@@ -52,7 +52,7 @@
 .PP
 The function \fBmove_field\fR moves the given field (which must be disconnected)
 to a specified location on the screen.
-.SH RETURN VALUES
+.SH RETURN VALUE
 The function \fBform_fields\fR returns a pointer (which may be \fBNULL\fR).
 It does not set errno.
 .PP
Index: man/menu_items.3x
Prereq:  1.9 
--- ncurses-5.9-20121026+/man/menu_items.3x	2010-12-04 18:40:45.000000000 +0000
+++ ncurses-5.9-20121102/man/menu_items.3x	2012-11-03 23:03:59.000000000 +0000
@@ -1,6 +1,6 @@
 '\" t
 .\"***************************************************************************
-.\" Copyright (c) 1998-2006,2010 Free Software Foundation, Inc.              *
+.\" Copyright (c) 1998-2010,2012 Free Software Foundation, Inc.              *
 .\"                                                                          *
 .\" Permission is hereby granted, free of charge, to any person obtaining a  *
 .\" copy of this software and associated documentation files (the            *
@@ -27,7 +27,7 @@
 .\" authorization.                                                           *
 .\"***************************************************************************
 .\"
-.\" $Id: menu_items.3x,v 1.9 2010/12/04 18:40:45 tom Exp $
+.\" $Id: menu_items.3x,v 1.10 2012/11/03 23:03:59 tom Exp $
 .TH menu_items 3X ""
 .SH NAME
 \fBmenu_items\fR \- make and break connections between items and menus
@@ -47,7 +47,7 @@
 The function \fBmenu_items\fR returns the item array of the given menu.
 .PP
 The function \fBitem_count\fR returns the count of items in \fImenu\fR.
-.SH RETURN VALUES
+.SH RETURN VALUE
 The function \fBmenu_items\fR returns a pointer (which may be \fBNULL\fR).
 It does not set errno.
 .PP
Index: misc/terminfo.src
--- ncurses-5.9-20121026+/misc/terminfo.src	2012-10-13 23:17:51.000000000 +0000
+++ ncurses-5.9-20121102/misc/terminfo.src	2012-11-03 18:58:05.000000000 +0000
@@ -6,8 +6,8 @@
 # Report bugs and new terminal descriptions to
 #	bug-ncurses@gnu.org
 #
-#	$Revision: 1.467 $
-#	$Date: 2012/10/13 23:17:51 $
+#	$Revision: 1.469 $
+#	$Date: 2012/11/03 18:58:05 $
 #
 # The original header is preserved below for reference.  It is noted that there
 # is a "newer" version which differs in some cosmetic details (but actually
@@ -4043,10 +4043,15 @@
 	use=vte-2008,
 
 # GNOME Terminal 3.6.0 (2012)
-# VTE 0.34.1 refers to an unreleased version as of 2012-10-13 (0.34.0 was
-# released 2012-09-26, 0.34.1 has not been marked in git) -TD
+# VTE 0.34.1 was marked in git 2012-10-15 (three days after patch was applied
+# in ncurses).  It inherited from gnome-fc5, which broke the modified forms
+# of f1-f4 -TD
+#
+# Testing with tack shows that flash does not/has not worked -TD
 vte-2012|VTE 0.34.1,
-	ritm=\E[23m, sitm=\E[3m, use=xterm+pcc2, use=gnome-fc5,
+	flash@, ritm=\E[23m, sitm=\E[3m, use=vte-2008,
+# Version 3.6.1 sets TERM to xterm-256color (still hardcoded), which has
+# 61 differences from a correct entry for gnome terminal.
 gnome-2012|GNOME Terminal 3.6.0,
 	use=vte-2012,
 
@@ -4084,7 +4089,7 @@
 
 # palette is hardcoded...
 vte-256color|VTE with xterm 256-colors,
-	initc@, use=xterm+256color, use=vte,
+	use=xterm+256color, use=vte,
 gnome-256color|GNOME Terminal with xterm 256-colors,
 	use=vte-256color,
 
@@ -22949,4 +22954,10 @@
 #       * add vte-2012, gnome-2012, making these the defaults for vte/gnome
 #	  (patch by Christian Persch).
 #
+# 2012-11-02
+#	* reviewed vte-2012, reverted most of the change since it was incorrect
+#	  based on testing with tack -TD
+#	* un-cancel the initc in vte-256color, since this was implemented
+#	  starting with version 0.20 in 2009 -TD
+#
 ######## SHANTIH!  SHANTIH!  SHANTIH!
Index: ncurses/curses.priv.h
Prereq:  1.507 
--- ncurses-5.9-20121026+/ncurses/curses.priv.h	2012-10-27 21:23:14.000000000 +0000
+++ ncurses-5.9-20121102/ncurses/curses.priv.h	2012-11-03 19:41:04.000000000 +0000
@@ -34,7 +34,7 @@
  ****************************************************************************/
 
 /*
- * $Id: curses.priv.h,v 1.507 2012/10/27 21:23:14 tom Exp $
+ * $Id: curses.priv.h,v 1.508 2012/11/03 19:41:04 tom Exp $
  *
  *	curses.priv.h
  *
@@ -185,17 +185,6 @@
 #endif
 
 /*
- * Not all platforms have memmove; some have an equivalent bcopy.  (Some may
- * have neither).
- */
-#if USE_OK_BCOPY
-#define memmove(d,s,n) bcopy(s,d,n)
-#elif USE_MY_MEMMOVE
-#define memmove(d,s,n) _nc_memmove(d,s,n)
-extern NCURSES_EXPORT(void *) _nc_memmove (void *, const void *, size_t);
-#endif
-
-/*
  * If we have va_copy(), use it for assigning va_list's.
  */
 #if defined(HAVE___VA_COPY)
Index: ncurses/modules
Prereq:  1.117 
--- ncurses-5.9-20121026+/ncurses/modules	2010-08-07 18:41:02.000000000 +0000
+++ ncurses-5.9-20121102/ncurses/modules	2012-11-03 19:44:28.000000000 +0000
@@ -1,6 +1,6 @@
-# $Id: modules,v 1.117 2010/08/07 18:41:02 tom Exp $
+# $Id: modules,v 1.118 2012/11/03 19:44:28 tom Exp $
 ##############################################################################
-# Copyright (c) 1998-2009,2010 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2010,2012 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -115,7 +115,6 @@
 varargs		lib		$(trace)	$(HEADER_DEPS)
 
 # Modules for porting
-memmove		lib		$(base)		$(HEADER_DEPS)
 vsscanf 	lib		$(base)		$(HEADER_DEPS)
 
 # actually an extension, but with its own configure option (--disable-leaks)
Index: ncurses/tinfo/doalloc.c
Prereq:  1.10 
--- ncurses-5.9-20121026+/ncurses/tinfo/doalloc.c	2012-02-22 22:34:31.000000000 +0000
+++ ncurses-5.9-20121102/ncurses/tinfo/doalloc.c	2012-11-03 19:27:41.000000000 +0000
@@ -39,7 +39,7 @@
 
 #include <curses.priv.h>
 
-MODULE_ID("$Id: doalloc.c,v 1.10 2012/02/22 22:34:31 tom Exp $")
+MODULE_ID("$Id: doalloc.c,v 1.11 2012/11/03 19:27:41 tom Exp $")
 
 NCURSES_EXPORT(void *)
 _nc_doalloc(void *oldp, size_t amount)
@@ -56,21 +56,3 @@
     }
     return newp;
 }
-
-#if !HAVE_STRDUP
-NCURSES_EXPORT(char *)
-_nc_strdup(const char *src)
-{
-    char *dst;
-    if (src != 0) {
-	size_t need = strlen(src) + 1;
-	dst = typeMalloc(char, need);
-	if (dst != 0) {
-	    _nc_STRCPY(dst, src, need);
-	}
-    } else {
-	dst = 0;
-    }
-    return dst;
-}
-#endif
Index: package/debian/changelog
--- ncurses-5.9-20121026+/package/debian/changelog	2012-10-27 15:51:48.000000000 +0000
+++ ncurses-5.9-20121102/package/debian/changelog	2012-11-03 19:21:57.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20121026) unstable; urgency=low
+ncurses6 (5.9-20121102) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 27 Oct 2012 11:51:45 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 03 Nov 2012 15:21:53 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/ncurses.spec
--- ncurses-5.9-20121026+/package/ncurses.spec	2012-10-27 18:56:24.000000000 +0000
+++ ncurses-5.9-20121102/package/ncurses.spec	2012-11-03 19:21:39.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Release: 5.9
-Version: 20121026
+Version: 20121102
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{release}-%{version}.tgz
@@ -21,6 +21,7 @@
 
 %prep
 
+%define debug_package %{nil}
 %setup -q -n ncurses-%{release}-%{version}
 
 %build
Index: test/cardfile.c
Prereq:  1.40 
--- ncurses-5.9-20121026+/test/cardfile.c	2012-10-27 19:37:56.000000000 +0000
+++ ncurses-5.9-20121102/test/cardfile.c	2012-11-03 19:26:50.000000000 +0000
@@ -29,7 +29,7 @@
 /*
  * Author: Thomas E. Dickey
  *
- * $Id: cardfile.c,v 1.40 2012/10/27 19:37:56 tom Exp $
+ * $Id: cardfile.c,v 1.41 2012/11/03 19:26:50 tom Exp $
  *
  * File format: text beginning in column 1 is a title; other text is content.
  */
@@ -76,20 +76,6 @@
     ExitProgram(EXIT_FAILURE);
 }
 
-#if !HAVE_STRDUP
-#define strdup my_strdup
-static char *
-strdup(const char *s)
-{
-    char *p = typeMalloc(char, strlen(s) + 1);
-    if (p)
-	strcpy(p, s);
-    else
-	failed("strdup");
-    return (p);
-}
-#endif /* not HAVE_STRDUP */
-
 static const char *
 skip(const char *buffer)
 {
Index: test/configure
--- ncurses-5.9-20121026+/test/configure	2012-10-27 17:20:29.000000000 +0000
+++ ncurses-5.9-20121102/test/configure	2012-11-03 19:45:25.000000000 +0000
@@ -12656,17 +12656,16 @@
 
 for ac_func in \
 gettimeofday \
-strdup \
 
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:12663: checking for $ac_func" >&5
+echo "$as_me:12662: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 12669 "configure"
+#line 12668 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -12697,16 +12696,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:12700: \"$ac_link\"") >&5
+if { (eval echo "$as_me:12699: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:12703: \$? = $ac_status" >&5
+  echo "$as_me:12702: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:12706: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12705: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12709: \$? = $ac_status" >&5
+  echo "$as_me:12708: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -12716,7 +12715,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:12719: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:12718: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -12740,13 +12739,13 @@
 
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:12743: checking for $ac_func" >&5
+echo "$as_me:12742: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 12749 "configure"
+#line 12748 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -12777,16 +12776,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:12780: \"$ac_link\"") >&5
+if { (eval echo "$as_me:12779: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:12783: \$? = $ac_status" >&5
+  echo "$as_me:12782: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:12786: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12785: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12789: \$? = $ac_status" >&5
+  echo "$as_me:12788: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -12796,7 +12795,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:12799: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:12798: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -12808,14 +12807,14 @@
 
 fi
 
-echo "$as_me:12811: checking if we must define _XOPEN_SOURCE_EXTENDED" >&5
+echo "$as_me:12810: checking if we must define _XOPEN_SOURCE_EXTENDED" >&5
 echo $ECHO_N "checking if we must define _XOPEN_SOURCE_EXTENDED... $ECHO_C" >&6
 if test "${cf_cv_need_xopen_extension+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 12818 "configure"
+#line 12817 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -12837,23 +12836,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:12840: \"$ac_link\"") >&5
+if { (eval echo "$as_me:12839: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:12843: \$? = $ac_status" >&5
+  echo "$as_me:12842: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:12846: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12845: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12849: \$? = $ac_status" >&5
+  echo "$as_me:12848: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_need_xopen_extension=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 12856 "configure"
+#line 12855 "configure"
 #include "confdefs.h"
 
 #define _XOPEN_SOURCE_EXTENDED
@@ -12875,16 +12874,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:12878: \"$ac_link\"") >&5
+if { (eval echo "$as_me:12877: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:12881: \$? = $ac_status" >&5
+  echo "$as_me:12880: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:12884: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12883: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12887: \$? = $ac_status" >&5
+  echo "$as_me:12886: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_need_xopen_extension=yes
 else
@@ -12896,11 +12895,11 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:12899: result: $cf_cv_need_xopen_extension" >&5
+echo "$as_me:12898: result: $cf_cv_need_xopen_extension" >&5
 echo "${ECHO_T}$cf_cv_need_xopen_extension" >&6
 test $cf_cv_need_xopen_extension = yes && CPPFLAGS="$CPPFLAGS -D_XOPEN_SOURCE_EXTENDED"
 
-echo "$as_me:12903: checking for term.h" >&5
+echo "$as_me:12902: checking for term.h" >&5
 echo $ECHO_N "checking for term.h... $ECHO_C" >&6
 if test "${cf_cv_term_header+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -12921,7 +12920,7 @@
 for cf_header in $cf_header_list
 do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 12924 "configure"
+#line 12923 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -12935,16 +12934,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12938: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12937: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12941: \$? = $ac_status" >&5
+  echo "$as_me:12940: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12944: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12943: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12947: \$? = $ac_status" >&5
+  echo "$as_me:12946: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_term_header=$cf_header
 	 break
@@ -12963,7 +12962,7 @@
 	for cf_header in ncurses/term.h ncursesw/term.h
 	do
 		cat >conftest.$ac_ext <<_ACEOF
-#line 12966 "configure"
+#line 12965 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -12981,16 +12980,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:12984: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:12983: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:12987: \$? = $ac_status" >&5
+  echo "$as_me:12986: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:12990: \"$ac_try\"") >&5
+  { (eval echo "$as_me:12989: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:12993: \$? = $ac_status" >&5
+  echo "$as_me:12992: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_term_header=$cf_header
 			 break
@@ -13005,7 +13004,7 @@
 esac
 
 fi
-echo "$as_me:13008: result: $cf_cv_term_header" >&5
+echo "$as_me:13007: result: $cf_cv_term_header" >&5
 echo "${ECHO_T}$cf_cv_term_header" >&6
 
 case $cf_cv_term_header in #(vi
@@ -13032,7 +13031,7 @@
 	;;
 esac
 
-echo "$as_me:13035: checking for unctrl.h" >&5
+echo "$as_me:13034: checking for unctrl.h" >&5
 echo $ECHO_N "checking for unctrl.h... $ECHO_C" >&6
 if test "${cf_cv_unctrl_header+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13053,7 +13052,7 @@
 for cf_header in $cf_header_list
 do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 13056 "configure"
+#line 13055 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -13067,16 +13066,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:13070: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:13069: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:13073: \$? = $ac_status" >&5
+  echo "$as_me:13072: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:13076: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13075: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13079: \$? = $ac_status" >&5
+  echo "$as_me:13078: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_unctrl_header=$cf_header
 	 break
@@ -13090,13 +13089,13 @@
 
 case $cf_cv_unctrl_header in #(vi
 no)
-	{ echo "$as_me:13093: WARNING: unctrl.h header not found" >&5
+	{ echo "$as_me:13092: WARNING: unctrl.h header not found" >&5
 echo "$as_me: WARNING: unctrl.h header not found" >&2;}
 	;;
 esac
 
 fi
-echo "$as_me:13099: result: $cf_cv_unctrl_header" >&5
+echo "$as_me:13098: result: $cf_cv_unctrl_header" >&5
 echo "${ECHO_T}$cf_cv_unctrl_header" >&6
 
 case $cf_cv_unctrl_header in #(vi
@@ -13164,10 +13163,10 @@
 
 cf_tr_func=`echo "$cf_func" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
 
-	echo "$as_me:13167: checking for ${cf_func}" >&5
+	echo "$as_me:13166: checking for ${cf_func}" >&5
 echo $ECHO_N "checking for ${cf_func}... $ECHO_C" >&6
 
-echo "${as_me:-configure}:13170: testing ${cf_func} ..." 1>&5
+echo "${as_me:-configure}:13169: testing ${cf_func} ..." 1>&5
 
 	if eval "test \"\${cf_cv_func_$cf_func+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13176,7 +13175,7 @@
 		eval cf_result='$ac_cv_func_'$cf_func
 		if test ".$cf_result" != ".no"; then
 			cat >conftest.$ac_ext <<_ACEOF
-#line 13179 "configure"
+#line 13178 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -13208,16 +13207,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13211: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13210: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13214: \$? = $ac_status" >&5
+  echo "$as_me:13213: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13217: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13216: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13220: \$? = $ac_status" >&5
+  echo "$as_me:13219: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -13233,7 +13232,7 @@
 
 	# use the computed/retrieved cache-value:
 	eval 'cf_result=$cf_cv_func_'$cf_func
-	echo "$as_me:13236: result: $cf_result" >&5
+	echo "$as_me:13235: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result != no; then
 		cat >>confdefs.h <<EOF
@@ -13248,10 +13247,10 @@
 
 cf_tr_func=`echo "$cf_func" | sed y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%`
 
-	echo "$as_me:13251: checking for ${cf_func}" >&5
+	echo "$as_me:13250: checking for ${cf_func}" >&5
 echo $ECHO_N "checking for ${cf_func}... $ECHO_C" >&6
 
-echo "${as_me:-configure}:13254: testing ${cf_func} ..." 1>&5
+echo "${as_me:-configure}:13253: testing ${cf_func} ..." 1>&5
 
 	if eval "test \"\${cf_cv_func_$cf_func+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13260,7 +13259,7 @@
 		eval cf_result='$ac_cv_func_'$cf_func
 		if test ".$cf_result" != ".no"; then
 			cat >conftest.$ac_ext <<_ACEOF
-#line 13263 "configure"
+#line 13262 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -13292,16 +13291,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13295: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13294: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13298: \$? = $ac_status" >&5
+  echo "$as_me:13297: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13301: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13300: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13304: \$? = $ac_status" >&5
+  echo "$as_me:13303: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -13317,7 +13316,7 @@
 
 	# use the computed/retrieved cache-value:
 	eval 'cf_result=$cf_cv_func_'$cf_func
-	echo "$as_me:13320: result: $cf_result" >&5
+	echo "$as_me:13319: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result != no; then
 		cat >>confdefs.h <<EOF
@@ -13341,7 +13340,7 @@
 				cf_return="return value"
 			fi
 			cat >conftest.$ac_ext <<_ACEOF
-#line 13344 "configure"
+#line 13343 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -13361,21 +13360,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:13364: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:13363: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:13367: \$? = $ac_status" >&5
+  echo "$as_me:13366: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:13370: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13369: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13373: \$? = $ac_status" >&5
+  echo "$as_me:13372: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 		test -n "$verbose" && echo "	prototype $cf_ret func($cf_arg value)" 1>&6
 
-echo "${as_me:-configure}:13378: testing prototype $cf_ret func($cf_arg value) ..." 1>&5
+echo "${as_me:-configure}:13377: testing prototype $cf_ret func($cf_arg value) ..." 1>&5
 
 		cat >>confdefs.h <<EOF
 #define TPUTS_ARG               $cf_arg
@@ -13395,14 +13394,14 @@
 	done
 fi
 
-echo "$as_me:13398: checking for ncurses extended functions" >&5
+echo "$as_me:13397: checking for ncurses extended functions" >&5
 echo $ECHO_N "checking for ncurses extended functions... $ECHO_C" >&6
 if test "${cf_cv_ncurses_ext_funcs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 13405 "configure"
+#line 13404 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -13417,16 +13416,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:13420: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:13419: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:13423: \$? = $ac_status" >&5
+  echo "$as_me:13422: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:13426: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13425: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13429: \$? = $ac_status" >&5
+  echo "$as_me:13428: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_ncurses_ext_funcs=defined
 else
@@ -13434,7 +13433,7 @@
 cat conftest.$ac_ext >&5
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 13437 "configure"
+#line 13436 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -13459,16 +13458,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13462: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13461: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13465: \$? = $ac_status" >&5
+  echo "$as_me:13464: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13468: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13467: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13471: \$? = $ac_status" >&5
+  echo "$as_me:13470: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_ncurses_ext_funcs=yes
 else
@@ -13482,7 +13481,7 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 
 fi
-echo "$as_me:13485: result: $cf_cv_ncurses_ext_funcs" >&5
+echo "$as_me:13484: result: $cf_cv_ncurses_ext_funcs" >&5
 echo "${ECHO_T}$cf_cv_ncurses_ext_funcs" >&6
 test "$cf_cv_ncurses_ext_funcs" = yes &&
 cat >>confdefs.h <<\EOF
@@ -13496,11 +13495,11 @@
 	if test -n "$cf_cv_ncurses_version" && test "x$cf_cv_ncurses_version" != xno
 	then
 		cf_define_xpg5=no
-		echo "$as_me:13499: checking if _XPG5 should be defined to enable wide-characters" >&5
+		echo "$as_me:13498: checking if _XPG5 should be defined to enable wide-characters" >&5
 echo $ECHO_N "checking if _XPG5 should be defined to enable wide-characters... $ECHO_C" >&6
 
 		cat >conftest.$ac_ext <<_ACEOF
-#line 13503 "configure"
+#line 13502 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -13513,16 +13512,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:13516: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:13515: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:13519: \$? = $ac_status" >&5
+  echo "$as_me:13518: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:13522: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13521: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13525: \$? = $ac_status" >&5
+  echo "$as_me:13524: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -13531,7 +13530,7 @@
 cf_save_cppflags="$CPPFLAGS"
 			 CPPFLAGS="$CPPFLAGS -D_XPG5"
 			 cat >conftest.$ac_ext <<_ACEOF
-#line 13534 "configure"
+#line 13533 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -13544,16 +13543,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:13547: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:13546: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:13550: \$? = $ac_status" >&5
+  echo "$as_me:13549: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:13553: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13552: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13556: \$? = $ac_status" >&5
+  echo "$as_me:13555: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_define_xpg5=yes
 else
@@ -13564,7 +13563,7 @@
 			 CPPFLAGS="$cf_save_cppflags"
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-		echo "$as_me:13567: result: $cf_define_xpg5" >&5
+		echo "$as_me:13566: result: $cf_define_xpg5" >&5
 echo "${ECHO_T}$cf_define_xpg5" >&6
 
 		if test "$cf_define_xpg5" = yes
@@ -13573,14 +13572,14 @@
 		fi
 	fi
 
-	echo "$as_me:13576: checking for wide-character functions" >&5
+	echo "$as_me:13575: checking for wide-character functions" >&5
 echo $ECHO_N "checking for wide-character functions... $ECHO_C" >&6
 if test "${cf_cv_widechar_funcs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 13583 "configure"
+#line 13582 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -13597,16 +13596,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13600: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13599: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13603: \$? = $ac_status" >&5
+  echo "$as_me:13602: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13606: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13605: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13609: \$? = $ac_status" >&5
+  echo "$as_me:13608: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_widechar_funcs=yes
 else
@@ -13617,7 +13616,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 
 fi
-echo "$as_me:13620: result: $cf_cv_widechar_funcs" >&5
+echo "$as_me:13619: result: $cf_cv_widechar_funcs" >&5
 echo "${ECHO_T}$cf_cv_widechar_funcs" >&6
 	if test "$cf_cv_widechar_funcs" != no ; then
 
@@ -13638,14 +13637,14 @@
 
 fi
 
-echo "$as_me:13641: checking if sys/time.h works with sys/select.h" >&5
+echo "$as_me:13640: checking if sys/time.h works with sys/select.h" >&5
 echo $ECHO_N "checking if sys/time.h works with sys/select.h... $ECHO_C" >&6
 if test "${cf_cv_sys_time_select+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 13648 "configure"
+#line 13647 "configure"
 #include "confdefs.h"
 
 #include <sys/types.h>
@@ -13665,16 +13664,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:13668: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:13667: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:13671: \$? = $ac_status" >&5
+  echo "$as_me:13670: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:13674: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13673: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13677: \$? = $ac_status" >&5
+  echo "$as_me:13676: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sys_time_select=yes
 else
@@ -13686,14 +13685,14 @@
 
 fi
 
-echo "$as_me:13689: result: $cf_cv_sys_time_select" >&5
+echo "$as_me:13688: result: $cf_cv_sys_time_select" >&5
 echo "${ECHO_T}$cf_cv_sys_time_select" >&6
 test "$cf_cv_sys_time_select" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_SYS_TIME_SELECT 1
 EOF
 
-echo "$as_me:13696: checking for function curses_version" >&5
+echo "$as_me:13695: checking for function curses_version" >&5
 echo $ECHO_N "checking for function curses_version... $ECHO_C" >&6
 if test "${cf_cv_func_curses_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13703,7 +13702,7 @@
   cf_cv_func_curses_version=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 13706 "configure"
+#line 13705 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -13716,15 +13715,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:13719: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13718: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13722: \$? = $ac_status" >&5
+  echo "$as_me:13721: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:13724: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13723: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13727: \$? = $ac_status" >&5
+  echo "$as_me:13726: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_func_curses_version=yes
 
@@ -13739,14 +13738,14 @@
 fi
 rm -f core
 fi
-echo "$as_me:13742: result: $cf_cv_func_curses_version" >&5
+echo "$as_me:13741: result: $cf_cv_func_curses_version" >&5
 echo "${ECHO_T}$cf_cv_func_curses_version" >&6
 test "$cf_cv_func_curses_version" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_CURSES_VERSION 1
 EOF
 
-echo "$as_me:13749: checking for alternate character set array" >&5
+echo "$as_me:13748: checking for alternate character set array" >&5
 echo $ECHO_N "checking for alternate character set array... $ECHO_C" >&6
 if test "${cf_cv_curses_acs_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13756,7 +13755,7 @@
 for name in acs_map _acs_map __acs_map ${NCURSES_WRAP_PREFIX}acs_map
 do
 cat >conftest.$ac_ext <<_ACEOF
-#line 13759 "configure"
+#line 13758 "configure"
 #include "confdefs.h"
 
 #include <${cf_cv_ncurses_header:-curses.h}>
@@ -13772,16 +13771,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13775: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13774: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13778: \$? = $ac_status" >&5
+  echo "$as_me:13777: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13781: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13780: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13784: \$? = $ac_status" >&5
+  echo "$as_me:13783: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_acs_map=$name; break
 else
@@ -13792,7 +13791,7 @@
 done
 
 fi
-echo "$as_me:13795: result: $cf_cv_curses_acs_map" >&5
+echo "$as_me:13794: result: $cf_cv_curses_acs_map" >&5
 echo "${ECHO_T}$cf_cv_curses_acs_map" >&6
 
 test "$cf_cv_curses_acs_map" != unknown &&
@@ -13802,7 +13801,7 @@
 
 if test "$cf_enable_widec" = yes; then
 
-echo "$as_me:13805: checking for wide alternate character set array" >&5
+echo "$as_me:13804: checking for wide alternate character set array" >&5
 echo $ECHO_N "checking for wide alternate character set array... $ECHO_C" >&6
 if test "${cf_cv_curses_wacs_map+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13812,7 +13811,7 @@
 	for name in wacs_map _wacs_map __wacs_map _nc_wacs _wacs_char
 	do
 	cat >conftest.$ac_ext <<_ACEOF
-#line 13815 "configure"
+#line 13814 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -13828,16 +13827,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13831: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13830: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13834: \$? = $ac_status" >&5
+  echo "$as_me:13833: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13837: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13836: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13840: \$? = $ac_status" >&5
+  echo "$as_me:13839: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_map=$name
 	 break
@@ -13848,7 +13847,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	done
 fi
-echo "$as_me:13851: result: $cf_cv_curses_wacs_map" >&5
+echo "$as_me:13850: result: $cf_cv_curses_wacs_map" >&5
 echo "${ECHO_T}$cf_cv_curses_wacs_map" >&6
 
 test "$cf_cv_curses_wacs_map" != unknown &&
@@ -13856,7 +13855,7 @@
 #define CURSES_WACS_ARRAY $cf_cv_curses_wacs_map
 EOF
 
-echo "$as_me:13859: checking for wide alternate character constants" >&5
+echo "$as_me:13858: checking for wide alternate character constants" >&5
 echo $ECHO_N "checking for wide alternate character constants... $ECHO_C" >&6
 if test "${cf_cv_curses_wacs_symbols+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -13866,7 +13865,7 @@
 if test "$cf_cv_curses_wacs_map" != unknown
 then
 	cat >conftest.$ac_ext <<_ACEOF
-#line 13869 "configure"
+#line 13868 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -13883,16 +13882,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13886: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13885: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13889: \$? = $ac_status" >&5
+  echo "$as_me:13888: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13892: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13891: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13895: \$? = $ac_status" >&5
+  echo "$as_me:13894: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_symbols=yes
 else
@@ -13902,7 +13901,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 else
 	cat >conftest.$ac_ext <<_ACEOF
-#line 13905 "configure"
+#line 13904 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -13918,16 +13917,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:13921: \"$ac_link\"") >&5
+if { (eval echo "$as_me:13920: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:13924: \$? = $ac_status" >&5
+  echo "$as_me:13923: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:13927: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13926: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13930: \$? = $ac_status" >&5
+  echo "$as_me:13929: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_curses_wacs_symbols=yes
 else
@@ -13938,7 +13937,7 @@
 fi
 
 fi
-echo "$as_me:13941: result: $cf_cv_curses_wacs_symbols" >&5
+echo "$as_me:13940: result: $cf_cv_curses_wacs_symbols" >&5
 echo "${ECHO_T}$cf_cv_curses_wacs_symbols" >&6
 
 test "$cf_cv_curses_wacs_symbols" != no &&
@@ -13948,10 +13947,10 @@
 
 fi
 
-echo "$as_me:13951: checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:13950: checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type attr_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 13954 "configure"
+#line 13953 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -13969,16 +13968,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:13972: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:13971: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:13975: \$? = $ac_status" >&5
+  echo "$as_me:13974: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:13978: \"$ac_try\"") >&5
+  { (eval echo "$as_me:13977: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:13981: \$? = $ac_status" >&5
+  echo "$as_me:13980: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -13987,7 +13986,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:13990: result: $cf_result" >&5
+echo "$as_me:13989: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -14008,14 +14007,14 @@
 if test "$cf_enable_widec" = yes; then
 
 # This is needed on Tru64 5.0 to declare mbstate_t
-echo "$as_me:14011: checking if we must include wchar.h to declare mbstate_t" >&5
+echo "$as_me:14010: checking if we must include wchar.h to declare mbstate_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare mbstate_t... $ECHO_C" >&6
 if test "${cf_cv_mbstate_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 14018 "configure"
+#line 14017 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -14033,23 +14032,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14036: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14035: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14039: \$? = $ac_status" >&5
+  echo "$as_me:14038: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14042: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14041: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14045: \$? = $ac_status" >&5
+  echo "$as_me:14044: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 14052 "configure"
+#line 14051 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -14068,16 +14067,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14071: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14070: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14074: \$? = $ac_status" >&5
+  echo "$as_me:14073: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14077: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14076: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14080: \$? = $ac_status" >&5
+  echo "$as_me:14079: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_mbstate_t=yes
 else
@@ -14089,7 +14088,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:14092: result: $cf_cv_mbstate_t" >&5
+echo "$as_me:14091: result: $cf_cv_mbstate_t" >&5
 echo "${ECHO_T}$cf_cv_mbstate_t" >&6
 
 if test "$cf_cv_mbstate_t" = yes ; then
@@ -14112,14 +14111,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wchar_t
-echo "$as_me:14115: checking if we must include wchar.h to declare wchar_t" >&5
+echo "$as_me:14114: checking if we must include wchar.h to declare wchar_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wchar_t... $ECHO_C" >&6
 if test "${cf_cv_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 14122 "configure"
+#line 14121 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -14137,23 +14136,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14140: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14139: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14143: \$? = $ac_status" >&5
+  echo "$as_me:14142: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14146: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14145: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14149: \$? = $ac_status" >&5
+  echo "$as_me:14148: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 14156 "configure"
+#line 14155 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -14172,16 +14171,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14175: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14174: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14178: \$? = $ac_status" >&5
+  echo "$as_me:14177: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14181: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14180: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14184: \$? = $ac_status" >&5
+  echo "$as_me:14183: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wchar_t=yes
 else
@@ -14193,7 +14192,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:14196: result: $cf_cv_wchar_t" >&5
+echo "$as_me:14195: result: $cf_cv_wchar_t" >&5
 echo "${ECHO_T}$cf_cv_wchar_t" >&6
 
 if test "$cf_cv_wchar_t" = yes ; then
@@ -14216,14 +14215,14 @@
 fi
 
 # This is needed on Tru64 5.0 to declare wint_t
-echo "$as_me:14219: checking if we must include wchar.h to declare wint_t" >&5
+echo "$as_me:14218: checking if we must include wchar.h to declare wint_t" >&5
 echo $ECHO_N "checking if we must include wchar.h to declare wint_t... $ECHO_C" >&6
 if test "${cf_cv_wint_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 14226 "configure"
+#line 14225 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -14241,23 +14240,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14244: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14243: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14247: \$? = $ac_status" >&5
+  echo "$as_me:14246: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14250: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14249: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14253: \$? = $ac_status" >&5
+  echo "$as_me:14252: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=no
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 14260 "configure"
+#line 14259 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -14276,16 +14275,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14279: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14278: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14282: \$? = $ac_status" >&5
+  echo "$as_me:14281: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14285: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14284: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14288: \$? = $ac_status" >&5
+  echo "$as_me:14287: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_wint_t=yes
 else
@@ -14297,7 +14296,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:14300: result: $cf_cv_wint_t" >&5
+echo "$as_me:14299: result: $cf_cv_wint_t" >&5
 echo "${ECHO_T}$cf_cv_wint_t" >&6
 
 if test "$cf_cv_wint_t" = yes ; then
@@ -14321,10 +14320,10 @@
 
 	if test "$NCURSES_OK_MBSTATE_T" = 0 ; then
 
-echo "$as_me:14324: checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:14323: checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type mbstate_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 14327 "configure"
+#line 14326 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -14342,16 +14341,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14345: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14344: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14348: \$? = $ac_status" >&5
+  echo "$as_me:14347: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14351: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14350: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14354: \$? = $ac_status" >&5
+  echo "$as_me:14353: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14360,7 +14359,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:14363: result: $cf_result" >&5
+echo "$as_me:14362: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -14382,10 +14381,10 @@
 
 	if test "$NCURSES_OK_WCHAR_T" = 0 ; then
 
-echo "$as_me:14385: checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:14384: checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type wchar_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 14388 "configure"
+#line 14387 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -14403,16 +14402,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14406: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14405: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14409: \$? = $ac_status" >&5
+  echo "$as_me:14408: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14412: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14411: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14415: \$? = $ac_status" >&5
+  echo "$as_me:14414: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14421,7 +14420,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:14424: result: $cf_result" >&5
+echo "$as_me:14423: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -14443,10 +14442,10 @@
 
 	if test "$NCURSES_OK_WINT_T" = 0 ; then
 
-echo "$as_me:14446: checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:14445: checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for type wint_t in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
-#line 14449 "configure"
+#line 14448 "configure"
 #include "confdefs.h"
 
 #ifndef _XOPEN_SOURCE_EXTENDED
@@ -14464,16 +14463,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14467: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14466: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14470: \$? = $ac_status" >&5
+  echo "$as_me:14469: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14473: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14472: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14476: \$? = $ac_status" >&5
+  echo "$as_me:14475: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14482,7 +14481,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:14485: result: $cf_result" >&5
+echo "$as_me:14484: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 if test $cf_result = yes ; then
 
@@ -14503,11 +14502,11 @@
 	fi
 fi
 
-echo "$as_me:14506: checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:14505: checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data boolnames declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 14510 "configure"
+#line 14509 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -14535,16 +14534,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14538: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14537: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14541: \$? = $ac_status" >&5
+  echo "$as_me:14540: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14544: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14543: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14547: \$? = $ac_status" >&5
+  echo "$as_me:14546: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14553,7 +14552,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:14556: result: $cf_result" >&5
+echo "$as_me:14555: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -14565,14 +14564,14 @@
 EOF
 
 else
-	echo "$as_me:14568: checking for data boolnames in library" >&5
+	echo "$as_me:14567: checking for data boolnames in library" >&5
 echo $ECHO_N "checking for data boolnames in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 14575 "configure"
+#line 14574 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -14604,16 +14603,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14607: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14606: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14610: \$? = $ac_status" >&5
+  echo "$as_me:14609: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14613: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14612: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14616: \$? = $ac_status" >&5
+  echo "$as_me:14615: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14625,7 +14624,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14628 "configure"
+#line 14627 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -14650,15 +14649,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:14653: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14652: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14656: \$? = $ac_status" >&5
+  echo "$as_me:14655: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:14658: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14657: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14661: \$? = $ac_status" >&5
+  echo "$as_me:14660: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14669,7 +14668,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:14672: result: $cf_result" >&5
+	echo "$as_me:14671: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -14682,11 +14681,11 @@
 	fi
 fi
 
-echo "$as_me:14685: checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
+echo "$as_me:14684: checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}" >&5
 echo $ECHO_N "checking for data boolfnames declaration in ${cf_cv_ncurses_header:-curses.h}... $ECHO_C" >&6
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 14689 "configure"
+#line 14688 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -14714,16 +14713,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:14717: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:14716: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14720: \$? = $ac_status" >&5
+  echo "$as_me:14719: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:14723: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14722: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14726: \$? = $ac_status" >&5
+  echo "$as_me:14725: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14732,7 +14731,7 @@
 cf_result=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:14735: result: $cf_result" >&5
+echo "$as_me:14734: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 
 if test $cf_result = yes ; then
@@ -14744,14 +14743,14 @@
 EOF
 
 else
-	echo "$as_me:14747: checking for data boolfnames in library" >&5
+	echo "$as_me:14746: checking for data boolfnames in library" >&5
 echo $ECHO_N "checking for data boolfnames in library... $ECHO_C" >&6
 	# BSD linkers insist on making weak linkage, but resolve at runtime.
 	if test "$cross_compiling" = yes; then
 
 	# cross-compiling
 	cat >conftest.$ac_ext <<_ACEOF
-#line 14754 "configure"
+#line 14753 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -14783,16 +14782,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:14786: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14785: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14789: \$? = $ac_status" >&5
+  echo "$as_me:14788: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:14792: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14791: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14795: \$? = $ac_status" >&5
+  echo "$as_me:14794: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14804,7 +14803,7 @@
 
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 14807 "configure"
+#line 14806 "configure"
 #include "confdefs.h"
 
 #ifdef HAVE_XCURSES
@@ -14829,15 +14828,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:14832: \"$ac_link\"") >&5
+if { (eval echo "$as_me:14831: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:14835: \$? = $ac_status" >&5
+  echo "$as_me:14834: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:14837: \"$ac_try\"") >&5
+  { (eval echo "$as_me:14836: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:14840: \$? = $ac_status" >&5
+  echo "$as_me:14839: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_result=yes
 else
@@ -14848,7 +14847,7 @@
 fi
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
-	echo "$as_me:14851: result: $cf_result" >&5
+	echo "$as_me:14850: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 	if test $cf_result = yes ; then
 
@@ -14863,7 +14862,7 @@
 
 if ( test "$GCC" = yes || test "$GXX" = yes )
 then
-echo "$as_me:14866: checking if you want to turn on gcc warnings" >&5
+echo "$as_me:14865: checking if you want to turn on gcc warnings" >&5
 echo $ECHO_N "checking if you want to turn on gcc warnings... $ECHO_C" >&6
 
 # Check whether --enable-warnings or --disable-warnings was given.
@@ -14880,7 +14879,7 @@
   with_warnings=no
 
 fi;
-echo "$as_me:14883: result: $with_warnings" >&5
+echo "$as_me:14882: result: $with_warnings" >&5
 echo "${ECHO_T}$with_warnings" >&6
 if test "$with_warnings" = "yes"
 then
@@ -14903,10 +14902,10 @@
 EOF
 if test "$GCC" = yes
 then
-	{ echo "$as_me:14906: checking for $CC __attribute__ directives..." >&5
+	{ echo "$as_me:14905: checking for $CC __attribute__ directives..." >&5
 echo "$as_me: checking for $CC __attribute__ directives..." >&6;}
 cat > conftest.$ac_ext <<EOF
-#line 14909 "${as_me:-configure}"
+#line 14908 "${as_me:-configure}"
 #include "confdefs.h"
 #include "conftest.h"
 #include "conftest.i"
@@ -14955,12 +14954,12 @@
 			;;
 		esac
 
-		if { (eval echo "$as_me:14958: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:14957: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:14961: \$? = $ac_status" >&5
+  echo "$as_me:14960: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:14963: result: ... $cf_attribute" >&5
+			test -n "$verbose" && echo "$as_me:14962: result: ... $cf_attribute" >&5
 echo "${ECHO_T}... $cf_attribute" >&6
 			cat conftest.h >>confdefs.h
 			case $cf_attribute in #(vi
@@ -15024,12 +15023,12 @@
 if test "$GCC" = yes ; then
 	case $host_os in
 	linux*|gnu*)
-		echo "$as_me:15027: checking if this is really Intel C compiler" >&5
+		echo "$as_me:15026: checking if this is really Intel C compiler" >&5
 echo $ECHO_N "checking if this is really Intel C compiler... $ECHO_C" >&6
 		cf_save_CFLAGS="$CFLAGS"
 		CFLAGS="$CFLAGS -no-gcc"
 		cat >conftest.$ac_ext <<_ACEOF
-#line 15032 "configure"
+#line 15031 "configure"
 #include "confdefs.h"
 
 int
@@ -15046,16 +15045,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15049: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15048: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15052: \$? = $ac_status" >&5
+  echo "$as_me:15051: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15055: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15054: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15058: \$? = $ac_status" >&5
+  echo "$as_me:15057: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   INTEL_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -we147 -no-gcc"
@@ -15066,7 +15065,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 		CFLAGS="$cf_save_CFLAGS"
-		echo "$as_me:15069: result: $INTEL_COMPILER" >&5
+		echo "$as_me:15068: result: $INTEL_COMPILER" >&5
 echo "${ECHO_T}$INTEL_COMPILER" >&6
 		;;
 	esac
@@ -15075,12 +15074,12 @@
 CLANG_COMPILER=no
 
 if test "$GCC" = yes ; then
-	echo "$as_me:15078: checking if this is really Clang C compiler" >&5
+	echo "$as_me:15077: checking if this is really Clang C compiler" >&5
 echo $ECHO_N "checking if this is really Clang C compiler... $ECHO_C" >&6
 	cf_save_CFLAGS="$CFLAGS"
 	CFLAGS="$CFLAGS -Qunused-arguments"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15083 "configure"
+#line 15082 "configure"
 #include "confdefs.h"
 
 int
@@ -15097,16 +15096,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:15100: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:15099: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15103: \$? = $ac_status" >&5
+  echo "$as_me:15102: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:15106: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15105: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15109: \$? = $ac_status" >&5
+  echo "$as_me:15108: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   CLANG_COMPILER=yes
 cf_save_CFLAGS="$cf_save_CFLAGS -Qunused-arguments"
@@ -15117,12 +15116,12 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 	CFLAGS="$cf_save_CFLAGS"
-	echo "$as_me:15120: result: $CLANG_COMPILER" >&5
+	echo "$as_me:15119: result: $CLANG_COMPILER" >&5
 echo "${ECHO_T}$CLANG_COMPILER" >&6
 fi
 
 cat > conftest.$ac_ext <<EOF
-#line 15125 "${as_me:-configure}"
+#line 15124 "${as_me:-configure}"
 int main(int argc, char *argv[]) { return (argv[argc-1] == 0) ; }
 EOF
 
@@ -15139,7 +15138,7 @@
 # remark #981: operands are evaluated in unspecified order
 # warning #279: controlling expression is constant
 
-	{ echo "$as_me:15142: checking for $CC warning options..." >&5
+	{ echo "$as_me:15141: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS="-Wall"
@@ -15155,12 +15154,12 @@
 		wd981
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:15158: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:15157: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15161: \$? = $ac_status" >&5
+  echo "$as_me:15160: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:15163: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:15162: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			EXTRA_CFLAGS="$EXTRA_CFLAGS -$cf_opt"
 		fi
@@ -15169,7 +15168,7 @@
 
 elif test "$GCC" = yes
 then
-	{ echo "$as_me:15172: checking for $CC warning options..." >&5
+	{ echo "$as_me:15171: checking for $CC warning options..." >&5
 echo "$as_me: checking for $CC warning options..." >&6;}
 	cf_save_CFLAGS="$CFLAGS"
 	EXTRA_CFLAGS=
@@ -15189,12 +15188,12 @@
 		Wundef $cf_warn_CONST
 	do
 		CFLAGS="$cf_save_CFLAGS $EXTRA_CFLAGS -$cf_opt"
-		if { (eval echo "$as_me:15192: \"$ac_compile\"") >&5
+		if { (eval echo "$as_me:15191: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:15195: \$? = $ac_status" >&5
+  echo "$as_me:15194: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-			test -n "$verbose" && echo "$as_me:15197: result: ... -$cf_opt" >&5
+			test -n "$verbose" && echo "$as_me:15196: result: ... -$cf_opt" >&5
 echo "${ECHO_T}... -$cf_opt" >&6
 			case $cf_opt in #(vi
 			Wcast-qual) #(vi
@@ -15205,7 +15204,7 @@
 				[34].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:15208: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:15207: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -15215,7 +15214,7 @@
 				[12].*)
 					test -n "$verbose" && echo "	feature is broken in gcc $GCC_VERSION" 1>&6
 
-echo "${as_me:-configure}:15218: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
+echo "${as_me:-configure}:15217: testing feature is broken in gcc $GCC_VERSION ..." 1>&5
 
 					continue;;
 				esac
@@ -15231,7 +15230,7 @@
 fi
 fi
 
-echo "$as_me:15234: checking if you want to use dmalloc for testing" >&5
+echo "$as_me:15233: checking if you want to use dmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dmalloc or --without-dmalloc was given.
@@ -15248,7 +15247,7 @@
 else
   with_dmalloc=
 fi;
-echo "$as_me:15251: result: ${with_dmalloc:-no}" >&5
+echo "$as_me:15250: result: ${with_dmalloc:-no}" >&5
 echo "${ECHO_T}${with_dmalloc:-no}" >&6
 
 case .$with_cflags in #(vi
@@ -15342,23 +15341,23 @@
 esac
 
 if test "$with_dmalloc" = yes ; then
-	echo "$as_me:15345: checking for dmalloc.h" >&5
+	echo "$as_me:15344: checking for dmalloc.h" >&5
 echo $ECHO_N "checking for dmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15351 "configure"
+#line 15350 "configure"
 #include "confdefs.h"
 #include <dmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:15355: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:15354: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:15361: \$? = $ac_status" >&5
+  echo "$as_me:15360: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -15377,11 +15376,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:15380: result: $ac_cv_header_dmalloc_h" >&5
+echo "$as_me:15379: result: $ac_cv_header_dmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dmalloc_h" >&6
 if test $ac_cv_header_dmalloc_h = yes; then
 
-echo "$as_me:15384: checking for dmalloc_debug in -ldmalloc" >&5
+echo "$as_me:15383: checking for dmalloc_debug in -ldmalloc" >&5
 echo $ECHO_N "checking for dmalloc_debug in -ldmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dmalloc_dmalloc_debug+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15389,7 +15388,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 15392 "configure"
+#line 15391 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -15408,16 +15407,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15411: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15410: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15414: \$? = $ac_status" >&5
+  echo "$as_me:15413: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15417: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15416: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15420: \$? = $ac_status" >&5
+  echo "$as_me:15419: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dmalloc_dmalloc_debug=yes
 else
@@ -15428,7 +15427,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:15431: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
+echo "$as_me:15430: result: $ac_cv_lib_dmalloc_dmalloc_debug" >&5
 echo "${ECHO_T}$ac_cv_lib_dmalloc_dmalloc_debug" >&6
 if test $ac_cv_lib_dmalloc_dmalloc_debug = yes; then
   cat >>confdefs.h <<EOF
@@ -15443,7 +15442,7 @@
 
 fi
 
-echo "$as_me:15446: checking if you want to use dbmalloc for testing" >&5
+echo "$as_me:15445: checking if you want to use dbmalloc for testing" >&5
 echo $ECHO_N "checking if you want to use dbmalloc for testing... $ECHO_C" >&6
 
 # Check whether --with-dbmalloc or --without-dbmalloc was given.
@@ -15460,7 +15459,7 @@
 else
   with_dbmalloc=
 fi;
-echo "$as_me:15463: result: ${with_dbmalloc:-no}" >&5
+echo "$as_me:15462: result: ${with_dbmalloc:-no}" >&5
 echo "${ECHO_T}${with_dbmalloc:-no}" >&6
 
 case .$with_cflags in #(vi
@@ -15554,23 +15553,23 @@
 esac
 
 if test "$with_dbmalloc" = yes ; then
-	echo "$as_me:15557: checking for dbmalloc.h" >&5
+	echo "$as_me:15556: checking for dbmalloc.h" >&5
 echo $ECHO_N "checking for dbmalloc.h... $ECHO_C" >&6
 if test "${ac_cv_header_dbmalloc_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 15563 "configure"
+#line 15562 "configure"
 #include "confdefs.h"
 #include <dbmalloc.h>
 _ACEOF
-if { (eval echo "$as_me:15567: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:15566: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:15573: \$? = $ac_status" >&5
+  echo "$as_me:15572: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -15589,11 +15588,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:15592: result: $ac_cv_header_dbmalloc_h" >&5
+echo "$as_me:15591: result: $ac_cv_header_dbmalloc_h" >&5
 echo "${ECHO_T}$ac_cv_header_dbmalloc_h" >&6
 if test $ac_cv_header_dbmalloc_h = yes; then
 
-echo "$as_me:15596: checking for debug_malloc in -ldbmalloc" >&5
+echo "$as_me:15595: checking for debug_malloc in -ldbmalloc" >&5
 echo $ECHO_N "checking for debug_malloc in -ldbmalloc... $ECHO_C" >&6
 if test "${ac_cv_lib_dbmalloc_debug_malloc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15601,7 +15600,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-ldbmalloc  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 15604 "configure"
+#line 15603 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -15620,16 +15619,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15623: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15622: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15626: \$? = $ac_status" >&5
+  echo "$as_me:15625: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15629: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15628: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15632: \$? = $ac_status" >&5
+  echo "$as_me:15631: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_dbmalloc_debug_malloc=yes
 else
@@ -15640,7 +15639,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:15643: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
+echo "$as_me:15642: result: $ac_cv_lib_dbmalloc_debug_malloc" >&5
 echo "${ECHO_T}$ac_cv_lib_dbmalloc_debug_malloc" >&6
 if test $ac_cv_lib_dbmalloc_debug_malloc = yes; then
   cat >>confdefs.h <<EOF
@@ -15655,7 +15654,7 @@
 
 fi
 
-echo "$as_me:15658: checking if you want to use valgrind for testing" >&5
+echo "$as_me:15657: checking if you want to use valgrind for testing" >&5
 echo $ECHO_N "checking if you want to use valgrind for testing... $ECHO_C" >&6
 
 # Check whether --with-valgrind or --without-valgrind was given.
@@ -15672,7 +15671,7 @@
 else
   with_valgrind=
 fi;
-echo "$as_me:15675: result: ${with_valgrind:-no}" >&5
+echo "$as_me:15674: result: ${with_valgrind:-no}" >&5
 echo "${ECHO_T}${with_valgrind:-no}" >&6
 
 case .$with_cflags in #(vi
@@ -15765,7 +15764,7 @@
 	;;
 esac
 
-echo "$as_me:15768: checking if you want to perform memory-leak testing" >&5
+echo "$as_me:15767: checking if you want to perform memory-leak testing" >&5
 echo $ECHO_N "checking if you want to perform memory-leak testing... $ECHO_C" >&6
 
 # Check whether --enable-leaks or --disable-leaks was given.
@@ -15775,7 +15774,7 @@
 else
   : ${with_no_leaks:=no}
 fi;
-echo "$as_me:15778: result: $with_no_leaks" >&5
+echo "$as_me:15777: result: $with_no_leaks" >&5
 echo "${ECHO_T}$with_no_leaks" >&6
 
 if test "$with_no_leaks" = yes ; then
@@ -15791,7 +15790,7 @@
 fi
 
 LD_RPATH_OPT=
-echo "$as_me:15794: checking for an rpath option" >&5
+echo "$as_me:15793: checking for an rpath option" >&5
 echo $ECHO_N "checking for an rpath option... $ECHO_C" >&6
 case $cf_cv_system_name in #(vi
 irix*) #(vi
@@ -15822,17 +15821,17 @@
 *)
 	;;
 esac
-echo "$as_me:15825: result: $LD_RPATH_OPT" >&5
+echo "$as_me:15824: result: $LD_RPATH_OPT" >&5
 echo "${ECHO_T}$LD_RPATH_OPT" >&6
 
 case "x$LD_RPATH_OPT" in #(vi
 x-R*)
-	echo "$as_me:15830: checking if we need a space after rpath option" >&5
+	echo "$as_me:15829: checking if we need a space after rpath option" >&5
 echo $ECHO_N "checking if we need a space after rpath option... $ECHO_C" >&6
 	cf_save_LIBS="$LIBS"
 	LIBS="${LD_RPATH_OPT}$libdir $LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 15835 "configure"
+#line 15834 "configure"
 #include "confdefs.h"
 
 int
@@ -15844,16 +15843,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15847: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15846: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15850: \$? = $ac_status" >&5
+  echo "$as_me:15849: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15853: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15852: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15856: \$? = $ac_status" >&5
+  echo "$as_me:15855: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_space=no
 else
@@ -15863,13 +15862,13 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save_LIBS"
-	echo "$as_me:15866: result: $cf_rpath_space" >&5
+	echo "$as_me:15865: result: $cf_rpath_space" >&5
 echo "${ECHO_T}$cf_rpath_space" >&6
 	test "$cf_rpath_space" = yes && LD_RPATH_OPT="$LD_RPATH_OPT "
 	;;
 esac
 
-echo "$as_me:15872: checking if rpath-hack should be disabled" >&5
+echo "$as_me:15871: checking if rpath-hack should be disabled" >&5
 echo $ECHO_N "checking if rpath-hack should be disabled... $ECHO_C" >&6
 
 # Check whether --enable-rpath-hack or --disable-rpath-hack was given.
@@ -15886,21 +15885,21 @@
   cf_disable_rpath_hack=no
 
 fi;
-echo "$as_me:15889: result: $cf_disable_rpath_hack" >&5
+echo "$as_me:15888: result: $cf_disable_rpath_hack" >&5
 echo "${ECHO_T}$cf_disable_rpath_hack" >&6
 if test "$cf_disable_rpath_hack" = no ; then
 
-echo "$as_me:15893: checking for updated LDFLAGS" >&5
+echo "$as_me:15892: checking for updated LDFLAGS" >&5
 echo $ECHO_N "checking for updated LDFLAGS... $ECHO_C" >&6
 if test -n "$LD_RPATH_OPT" ; then
-	echo "$as_me:15896: result: maybe" >&5
+	echo "$as_me:15895: result: maybe" >&5
 echo "${ECHO_T}maybe" >&6
 
 	for ac_prog in ldd
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:15903: checking for $ac_word" >&5
+echo "$as_me:15902: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_cf_ldd_prog+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -15915,7 +15914,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_cf_ldd_prog="$ac_prog"
-echo "$as_me:15918: found $ac_dir/$ac_word" >&5
+echo "$as_me:15917: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -15923,10 +15922,10 @@
 fi
 cf_ldd_prog=$ac_cv_prog_cf_ldd_prog
 if test -n "$cf_ldd_prog"; then
-  echo "$as_me:15926: result: $cf_ldd_prog" >&5
+  echo "$as_me:15925: result: $cf_ldd_prog" >&5
 echo "${ECHO_T}$cf_ldd_prog" >&6
 else
-  echo "$as_me:15929: result: no" >&5
+  echo "$as_me:15928: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -15940,7 +15939,7 @@
 		cf_rpath_oops=
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 15943 "configure"
+#line 15942 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -15952,16 +15951,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:15955: \"$ac_link\"") >&5
+if { (eval echo "$as_me:15954: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:15958: \$? = $ac_status" >&5
+  echo "$as_me:15957: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:15961: \"$ac_try\"") >&5
+  { (eval echo "$as_me:15960: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:15964: \$? = $ac_status" >&5
+  echo "$as_me:15963: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_rpath_oops=`$cf_ldd_prog conftest$ac_exeext | fgrep ' not found' | sed -e 's% =>.*$%%' |sort -u`
 		 cf_rpath_list=`$cf_ldd_prog conftest$ac_exeext | fgrep / | sed -e 's%^.*[ 	]/%/%' -e 's%/[^/][^/]*$%%' |sort -u`
@@ -15989,7 +15988,7 @@
 					then
 						test -n "$verbose" && echo "	...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src" 1>&6
 
-echo "${as_me:-configure}:15992: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
+echo "${as_me:-configure}:15991: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
 
 						LDFLAGS="$LDFLAGS -L$cf_rpath_dir/lib"
 						break
@@ -16001,11 +16000,11 @@
 
 	test -n "$verbose" && echo "	...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:16004: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:16003: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:16008: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:16007: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LDFLAGS
@@ -16042,7 +16041,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:16045: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:16044: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -16055,11 +16054,11 @@
 
 test -n "$verbose" && echo "	...checked LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:16058: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:16057: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:16062: testing ...checking LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:16061: testing ...checking LIBS $LIBS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LIBS
@@ -16096,7 +16095,7 @@
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:16099: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:16098: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -16109,11 +16108,11 @@
 
 test -n "$verbose" && echo "	...checked LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:16112: testing ...checked LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:16111: testing ...checked LIBS $LIBS ..." 1>&5
 
 	test -n "$verbose" && echo "	...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:16116: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:16115: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 fi
 
@@ -16203,7 +16202,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:16206: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:16205: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -16379,7 +16378,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:16382: error: ambiguous option: $1
+    { { echo "$as_me:16381: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -16398,7 +16397,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:16401: error: unrecognized option: $1
+  -*) { { echo "$as_me:16400: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -16448,7 +16447,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS ncurses_cfg.h:ncurses_tst.hin" ;;
-  *) { { echo "$as_me:16451: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:16450: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -16718,7 +16717,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:16721: creating $ac_file" >&5
+    { echo "$as_me:16720: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -16736,7 +16735,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:16739: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:16738: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -16749,7 +16748,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:16752: error: cannot find input file: $f" >&5
+           { { echo "$as_me:16751: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -16765,7 +16764,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:16768: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:16767: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -16774,7 +16773,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:16777: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:16776: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -16811,7 +16810,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:16814: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:16813: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -16822,7 +16821,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:16825: WARNING: Some variables may not be substituted:
+      { echo "$as_me:16824: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -16871,7 +16870,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:16874: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:16873: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -16882,7 +16881,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:16885: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:16884: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -16895,7 +16894,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:16898: error: cannot find input file: $f" >&5
+           { { echo "$as_me:16897: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -16953,7 +16952,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:16956: $ac_file is unchanged" >&5
+      { echo "$as_me:16955: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
Index: test/configure.in
Prereq:  1.108 
--- ncurses-5.9-20121026+/test/configure.in	2012-10-06 22:33:49.000000000 +0000
+++ ncurses-5.9-20121102/test/configure.in	2012-11-03 19:26:33.000000000 +0000
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1996, etc.
 dnl
-dnl $Id: configure.in,v 1.108 2012/10/06 22:33:49 tom Exp $
+dnl $Id: configure.in,v 1.109 2012/11/03 19:26:33 tom Exp $
 dnl This is a simple configuration-script for the ncurses test programs that
 dnl allows the test-directory to be separately configured against a reference
 dnl system (i.e., sysvr4 curses)
@@ -174,7 +174,6 @@
 
 AC_CHECK_FUNCS( \
 gettimeofday \
-strdup \
 )
 
 if test "$cf_enable_widec" = yes; then
Index: test/demo_menus.c
Prereq:  1.35 
--- ncurses-5.9-20121026+/test/demo_menus.c	2012-09-09 00:01:20.000000000 +0000
+++ ncurses-5.9-20121102/test/demo_menus.c	2012-11-03 19:27:01.000000000 +0000
@@ -26,7 +26,7 @@
  * authorization.                                                           *
  ****************************************************************************/
 /*
- * $Id: demo_menus.c,v 1.35 2012/09/09 00:01:20 tom Exp $
+ * $Id: demo_menus.c,v 1.36 2012/11/03 19:27:01 tom Exp $
  *
  * Demonstrate a variety of functions from the menu library.
  * Thomas Dickey - 2005/4/9
@@ -109,18 +109,6 @@
 
 static bool loaded_file = FALSE;
 
-#if !HAVE_STRDUP
-#define strdup my_strdup
-static char *
-strdup(char *s)
-{
-    char *p = typeMalloc(char, strlen(s) + 1);
-    if (p)
-	strcpy(p, s);
-    return (p);
-}
-#endif /* not HAVE_STRDUP */
-
 /* Common function to allow ^T to toggle trace-mode in the middle of a test
  * so that trace-files can be made smaller.
  */
Index: test/testcurs.c
Prereq:  1.44 
--- ncurses-5.9-20121026+/test/testcurs.c	2012-06-09 19:10:45.000000000 +0000
+++ ncurses-5.9-20121102/test/testcurs.c	2012-11-03 19:27:18.000000000 +0000
@@ -6,7 +6,7 @@
  *  wrs(5/28/93) -- modified to be consistent (perform identically) with either
  *                  PDCurses or under Unix System V, R4
  *
- * $Id: testcurs.c,v 1.44 2012/06/09 19:10:45 tom Exp $
+ * $Id: testcurs.c,v 1.45 2012/11/03 19:27:18 tom Exp $
  */
 
 #include <test.priv.h>
@@ -45,18 +45,6 @@
 };
 #define MAX_OPTIONS (int) SIZEOF(command)
 
-#if !HAVE_STRDUP
-#define strdup my_strdup
-static char *
-strdup(char *s)
-{
-    char *p = typeMalloc(char, strlen(s) + 1);
-    if (p)
-	strcpy(p, s);
-    return (p);
-}
-#endif /* not HAVE_STRDUP */
-
 static int width, height;
 
 int
